<!-- #include file="../../include/header.inc" -->
<table width=95%>
<tr>
<td valign=top><h2>Using WordWriter in ASP</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<p>WordWriter includes WordWriterCOM.dll, a COM callable wrapper (CCW) that allows to 
use the .NET <a href="<%=vroot%>doc/reference/wordtemplate_asp.asp">WordTemplate</a> object from ASP.  The CCW  
is a COM object that makes internal calls to the WordWriter .NET assembly.  
Therefore, to use WordWriter in ASP, all of the 
<a href="<%=vroot%>doc/intro/requirements.asp">system requirements</a> 
for running WordWriter in ASP.NET must be satisfied.</p>
<p>The object model available in ASP includes all the methods available in ASP.NET, except 
<a href="<%=vroot%>doc/reference/open.asp#stream">Open(templateStream)</a> 
and <a href="<%=vroot%>doc/reference/save.asp#stream">Save(oStreamObj)</a>. 
The <a href="<%=vroot%>doc/reference/wordtemplate_asp.asp">ASP Programmer's Reference</a> 
explains how to use each of the WordTemplate methods in ASP. </p>
<p>To install WordWriter for ASP:</p>
<ol>
	<li>Install WordWriter.dll and collections.dll in the Global Assembly Cache:<br><br>
	<ol>
		<li>Copy WordWriter.dll to C:\WINNT\Assembly.</li><br><br>
		<li>Copy collections.dll to C:\WINNT\Assembly.</li>
	</ol>
	</li><br>
	<li>Register WordWriterCOM.dll:<br><br>
	<ol>
		<li>Open a command prompt window and move to the directory WordWriter\doc-samples\bin. 
		For example, enter <nobr><strong><tt>cd WordWriter\doc-samples\bin</tt></strong></nobr>.</li><br><br>
		<li>Enter <strong><tt>regsvr32 WordWriterCOM.dll</tt></strong>. A dialog box will 
		inform you that WordWriterCOM.dll registered successfully; click Ok.</li><br><br>
		<li>Enter <strong><tt>iisreset</tt></strong> to reset IIS.</li>
	</ol>	
</ol>
<hr>
<h4>Example: Generating a Word File in ASP</h4>
<p>The following ASP sample generates a file from a template 
that contains a single merge field.  The data source is a 
single-element array.</p>
<table>
<tr>
<td valign=top><%
	ShowExample ("ASP/Basic/StringVar/StringVar.asp")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Basic/StringVar/StringVarTemplate.doc">View Template</a>]</div></td>
<td align=right valign=top><table class=bluenote bgcolor="#E5EEF5" cellpadding=5 bordercolor="005a9b" border=1 cellspacing=0 ID="Table1">
	<tr>
	<td>WordWriter includes several ASP sample applications.  You can run the samples and 
	view the ASP code from the <a href="<%=vroot%>samples/samples_asp.asp">
	Index of ASP Samples</a>.</td>
	</tr>
	</table>
</td>
</tr>
</table><br>
<table cellspacing=5>
<tr>
	<td valign=top width=45%>
	<p>To generate a Word file with WordWriter, first create a template:</p>
	<ol>
	<li>In Microsoft Word, create a new file.</li><br><br>
	<li>From the <b>Insert</b> menu, select <b>Field...</b> to open 
	the Field dialog.<br><br>
	<li>From the <b>Field names</b> list, select <b>MergeField</b>.<br><br>
	<li>In the <b>Field name</b> text box, enter a name for the merge 
	field.  For example, enter <i>ProductName</i>.<br><br>
	<li>Click Ok.  The merge field will be displayed in the document 
		in the format &lt;&lt;Field Name&gt;&gt;.</li><br><br>
	<li>To insert additional merge fields, repeat steps 2-4.</li>
	</ol></td>
	<td><img border=1 src="<%=vroot%>images/simpletemplate.jpg"></td>
</tr>
<tr><td></td>
	<td><b>To add a merge field to a template, select open the Insert 
	menu and select Field.  The merge field display format is &lt;&lt;Field Name&gt;&gt;.
	</b></td>
</tr>
</table>
<p>Next, create an ASP script that uses WordWriter to open the template, fill in 
merge field values, and generate a new Word file.  The sample above
generates a file from the template StringVarTemplate.doc 
(included in WordWriter\doc-samples\samples\ASP\basic\stringvar).  
This template contains a single merge field - <b>&lt;&lt;Product Name&gt;&gt;</b>.  
The data source for the merge field is a single-element array.</p>
<p>To generate a new Word file with WordWriter in ASP:</p>
<ol>
	<li>Create an instance of the <code>WordTemplate</code> object:
	<pre>	<code>Dim oWW
	...
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")</code></pre>
	<li>Call <code>WordTemplate.Open</code> to open a template Word file, 
	for example:
	<table>
	<tr>
	<td>
	<pre>	<code>oWW.Open Server.MapPath("./StringVarTemplate.doc")</code></pre>
	<p>The <code>Open</code> method takes thecomplete path and file name of the 
	template Word file.  Note that in ASP you cannot pass a stream to <code>Open</code>.</p></td>
	<td><table class=bluenote bgcolor="#E5EEF5" cellpadding=5 bordercolor="005a9b" border=1 cellspacing=0 ID="Table1">
	<tr>
	<td>WordWriter supports Microsoft Word 97, 2000, and 2002 (XP). 
	Do not use <code>Open</code> to open files created in earlier versions of Microsoft Word.</td>
	</tr>
	</table></td>
	</tr>
	</table><br>
	<li>Call <code>WordTemplate.SetDataSource</code> to bind the template's 
	merge fields to a data source, for example:
	<pre>	<code>Dim arrValue(0)
	Dim arrName(0)
	...
	arrValue(0) = "SoftArtisans WordWriter"
	arrName(0) = "ProductName"
	...
	oWW.SetDataSource arrValue, arrName
</code></pre>
	<p>StringVar.asp uses a single variable as a data source.  
	To set the data source to a single value, put the value in a single-element 
	array, and the merge field name in a single-element array.  Pass the two 
	arrays to <code>WordTemplate.SetDataSource</code>.</p>
	<li><p>Call <code>WordTemplate.Process</code> to enter values from the data source into the 
	template's merge fields:
	<pre><code>	oWW.Process</code></pre>
	<li><p>Call <code>WordTemplate.Save</code> to save the generated file or stream it to the browser.
	In the samples above the file is streamed to the browser:
	<pre><code>	oWW.Save Response, "StringVarOutput.doc", False</code></pre>
	When you pass the ASP Response object to <code>Save</code>, 
	WordWriter will stream the file to the client.  
	The method's second parameter specifies a 
	default name for the generated file; this name will be displayed in the browser's 
	File Download dialog.  The third parameter specifies whether the file should open in 
	the browser window or in Microsoft Word; if the parameter is set to False, the file 
	will open in Word.</p>
	<p>WordWriter also allows you to save the generated file on the server.  For more information, 
see <a href="<%=vroot%>doc/features/writing.asp">Output Options</a>.</p>
</ol>
<!-- #include file="../../include/footer.inc" -->
