<!-- #include file="../../include/header.inc" -->
<table width=95%>
<tr>
<td valign=top><h2>Using a Database as a Data Source</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<p>WordWriter can populate template merge fields with values from a database 
record.  To use a database record as a data source, pass the 
<a href="<%=vroot%>doc/reference/setdatasource.asp">SetDataSource</a> method 
either an ADO.NET DataSet or an ADO.NET DataTable.  If the specified DataSet or 
DataTable contains more than one row, WordWriter will use the first row as 
the data source.</p>
<p>The DataSet and DataTable objects are in the System.Data namespace. Use an 
Import directive to import the namespace to the aspx page: </p>
<pre>	<code>&lt;%@ Import namespace="System.Data" %&gt;</code></pre>
<p>The WordWriter database samples get data from an Access 
database (Northwind.mdb), accessible through OleDb.  The OleDb 
objects are in the System.Data.OleDb namespace:</p>
<pre>	<code>&lt;%@ Import namespace="System.Data.OleDb" %&gt;</code></pre>
<hr>
<h5>Using an ADO.NET DataSet as a Data Source</h5>	
<table>
<tr>
	<td><div class="indent"><h6>VB.NET Sample</h6></div>
	<%
	ShowExample ("Basic/DataSet/DataSet-vb.aspx")
	%><br>
	<div class=indent>
	[<a target="_blank" href="<%=vroot%>samples/basic/dataset/DataSetTemplate.doc">View Template</a>]
	</div>
	</td>
	<td><div class="indent"><h6>C# Sample</h6></div>
	<%
	ShowExample ("Basic/DataSet/DataSet-cs.aspx")
	%><br>
	<div class=indent>
	[<a target="_blank" href="<%=vroot%>samples/basic/dataset/DataSetTemplate.doc">View Template</a>]
	</div>	
	</td>
</tr>
</table>	
<p>A DataSet contains a collection of DataTables.  If you set a 
template's data source to a DataSet, WordWriter will get the 
first row of the first DataTable in the DataSet.  To pass a 
DataSet to <code>SetDataSource</code>:</p>
<ol>
<li>After creating and opening the database connection, 
create an OleDbDataAdapter that will execute a SQL command at 
the data source and fill the DataSet, for example: 
<pre>	<code>Dim strSQL As String = "SELECT TOP 1 TitleOfCourtesy, FirstName, LastName,_
		Title FROM Employees"
	...
	Dim oAdpt As OleDbDataAdapter = Nothing
	...
	oAdpt = New OleDbDataAdapter(strSQL, oConn)</code></pre>
<li>Create a DataSet:
<pre>	<code>oDS = New DataSet()</code></pre>
<li>Use <code>OleDbDataAdapter.Fill</code> to populate the DataSet with the 
result of the SQL query, for example:
<pre>	<code>oAdpt.Fill(oDS)</code></pre>
<li>When you call <code>WordTemplate.SetDataSource</code>, pass the DataSet 
to the method, for example:
<pre>	<code>oWW = New WordTemplate()
	oWW.Open(Server.MapPath("./DataSetTemplate.doc"))
	oWW.SetDataSource(oDS)</code></pre>
</ol>
<p><a href="#top">Top</a></p>
<hr>
<h5>Using an ADO.NET DataTable as a Data Source</h5>
<table>
<tr>
	<td><div class="indent"><h6>VB.NET Sample</h6></div>
	<%
	ShowExample ("Basic/DataTable/DataTable-vb.aspx")
	%><br>
	<div class=indent>
	[<a target="_blank" href="<%=vroot%>samples/basic/datatable/DataTableTemplate.doc">View Template</a>]
	</div></td>
	<td><div class="indent"><h6>C# Sample</h6></div>
	<%
	ShowExample ("Basic/DataTable/DataTable-cs.aspx")
	%><br>
	<div class=indent>
	[<a target="_blank" href="<%=vroot%>samples/basic/datatable/DataTableTemplate.doc">View Template</a>]
	</div>	</td>
</tr>
</table>
<p>If you set a template's data source to a DataTable, WordWriter will get the 
first row of the DataTable.  To pass a 
DataTable to <code>SetDataSource</code>:</p>
<ol>
<li>After creating and opening the database connection, 
create an OleDbDataAdapter that will execute a SQL command at 
the data source and fill the DataSet, for example: 
<pre>	<code>Dim strSQL As String = "SELECT TOP 1 TitleOfCourtesy, FirstName, LastName,_
		Title FROM Employees"
	...
	Dim oAdpt As OleDbDataAdapter = Nothing
	...
	oAdpt = New OleDbDataAdapter(strSQL, oConn)</code></pre>
<li>Create a DataSet:
<pre>	<code>oDS = New DataSet()</code></pre>
<li>Use <code>OleDbDataAdapter.Fill</code> to populate the DataSet with the 
result of the SQL query, and add a table to the DataSet:
<pre>	<code>oAdpt.Fill(oDS, "myDataTable")</code></pre>
<li>Create a DataTable object:
<pre>	<code>oDT = oDS.Tables("myDataTable")</code></pre></li>
<li>When you call <code>WordTemplate.SetDataSource</code>, pass the DataTable
to the method, for example:
<pre>	<code>oWW = New WordTemplate()
	oWW.Open(Server.MapPath("./DataSetTemplate.doc"))
	oWW.SetDataSource(oDT)</code></pre>
</ol>
<hr>
<h5>Dynamic Database Sample</h5>	
<p>The DatabaseSelect samples create a dynamic form letter, using a 
DataSet as the template's data source.  The samples get an employee 
name from an HTML form, and use the name to get additional employee 
information from the Northwind Traders database (in WordWriter\doc-samples\database).  
To run either sample, click Run Sample, and click any employee's Go button.</p>
<table>
<tr>
	<td><div class="indent"><h6>VB.NET Sample</h6></div>
	<%
	ShowExample ("Intermediate/DatabaseSelect/DatabaseSelect-vb.aspx")
	%><br>
	<div class=indent>
	[<a target="_blank" href="<%=vroot%>samples/intermediate/databaseselect/DatabaseSelectTemplate.doc">View Template</a>]
	</div></td>
	<td><div class="indent"><h6>C# Sample</h6></div>
	<%
	ShowExample ("Intermediate/DatabaseSelect/DatabaseSelect-cs.aspx")
	%><br>
	<div class=indent>
	[<a target="_blank" href="<%=vroot%>samples/intermediate/databaseselect/DatabaseSelectTemplate.doc">View Template</a>]
	</div>	</td>
</tr>
</table>

<!-- #include file="../../include/footer.inc" -->
