<!-- #include file="../../include/header.inc" -->
<table width=95%>
<tr>
<td valign=top><h2>Formatting Merge Fields</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<p>When you create a merge field in Microsoft Word 
(see <a href="templates.asp">Creating a WordWriter Template</a>), you can 
apply formatting to the field.  For example, you can set a merge field's 
format to "Uppercase" to display the field's value in uppercase letters.  
WordWriter supports most text, date, and time formats available in Microsoft 
Word.</p>
<ul>
	<li><a href="#text">General Text Formatting Options</a></li>
	<li><a href="#datetime">Date and Time Formatting Options</a></li>
	<li><a href="#example1">Example: Using a Template with Formatted Merge Fields</a></li>
	<li><a href="#notsupported">Formatting Options Not Supported in WordWriter 1.0</a></li>	
</ul>
<hr>
<h5><a name="text">General Text Formatting Options</a></h5>
	<p>The Field dialog opens when you add a new merge field to 
	a template.  To open the dialog for an existing merge field, 
	right-click the field and select <b>Edit Field...</b></p>
<table>
<tr>
	<td valign=top><p>The following text formatting options can be set 
	within Microsoft Word's Field dialog, or by entering formatting 
	codes within the merge field:</p>
	<ul>
		<li><strong>Uppercase</strong><br>
		Displays the merge field's value in uppercase letters.<br><br>
		<li><strong>Lowercase</strong><br>
		Displays the merge field's value in lowercase letters.<br><br>
		<li><strong>First capital</strong><br>
		Capitalizes the first letter of the first word in the field.<br><br>
		<li><strong>Title case</strong><br>
		Capitalizes the first letter of each word in the field.<br><br>
		<li><strong>Text Before</strong><br>
		Inserts a specified phrase before the merge field value.<br><br>
		<li><strong>Text After</strong><br>
		Inserts a specified phrase after the merge field value.<br><br>
	</ul>
	</td>
	<td valign=top align=right><img src="<%=vroot%>images/fieldxp_sm.jpg">
	<p align=right><b>The Field Dialog in Microsoft Word 2002 (XP)</b></p></td>
</tr>
</table>
	<br><table width=95% bgcolor="#E5EEF5" bordercolor="005a9b" border=1 
	cellpadding=5 cellspacing=0 ID="Table1">
	<tr>
	<td>WordWriter 1.0 does not support the following formatting 
	options: Mapped field, Vertical formatting, and NumberedItem.</td>
	</tr>
	</table>
<p>To set a merge field's formatting to Uppercase, Lowercase, Title case, or 
First capital using the Field dialog:</p>
<ul>
	<li>The Field dialog opens automatically when you insert a new merge field.  
	If you are formatting an existing merge field, right-click the merge field and 
	select <b>Edit Field...</b><br><br>
	<li>From the <b>Format</b> list select a format. For example, select <b>Uppercase</b>.<br><br>
	
</ul>
<p>To display text before and/or after a merge field value:</p>
<ul>
	<li>The Field dialog opens automatically when you insert a new merge field.  
	If you are formatting an existing merge field, right-click the merge field and 
	select <b>Edit Field...</b><br><br>
	<li>Check <b>Text to be inserted before</b> and/or <b>Text to be inserted after</b>.<br><br>
	<li>In the Text Before text box, enter a phrase to display before the merge field 
	value, and/or, in the Text After text box, enter a phrase to dispay after the 
	merge field value.<br><br>
</ul>
<p>You can also set these formatting options by entering special codes in the 
merge field.  To view and edit a merge field's field codes, right-click the field 
and select <b>Toggle Field Codes</b>.  A field without special formatting looks like 
this:<pre>	{MERGEFIELD <em>FieldName</em>}</pre>
</p>
<table class=table2>
<tr>
	<th>Format</th>
	<th>Field Codes</th>
	<th>Example</th>
</tr>
<tr>
	<th>Uppercase</th>
	<td>{MERGEFIELD <em>FieldName</em> \* Upper}</td>
	<td>{MERGEFIELD ProductName \* Upper}</td>
</tr>
<tr>
	<th>Lowercase</th>
	<td>{MERGEFIELD <em>FieldName</em> \* Lower}</td>
	<td>{MERGEFIELD ProductName \* Lower}</td>
</tr>
<tr>
	<th>First capital</th>
	<td>{MERGEFIELD <em>FieldName</em> \* FirstCap}</td>	
	<td>{MERGEFIELD ProductName \* FirstCap}</td>
</tr>
<tr>
	<th>Title case</th>
	<td>{MERGEFIELD <em>FieldName</em> \* Caps}</td>	
	<td>{MERGEFIELD ProductName \* Caps}</td>
</tr>
<tr>
	<th>Text Before</th>
	<td>{MERGEFIELD <em>FieldName</em> \b "<i>Text to insert before</i>"}</td>
	<td>{MERGEFIELD OrderDate \b "Order Date: "}</td>
</tr>
<tr>
	<th>Text After</th>
	<td>{MERGEFIELD <em>FieldName</em> \f "<i>Text to insert after</i>"}</td>
	<td>{MERGEFIELD OrderDate \f " (Order Date)"}</td>
</tr>
</table>
<p><a href="#top">Top</a></p><hr>
<h5><a name="datetime">Date and Time Formatting Options</a></h5>
<p>Using field codes, you can apply date/time formatting to merge fields 
that will bind to database fields of types Date, Time, and Timestamp, or 
to an object of type System.DateTime.  The general format for applying 
date/time format codes is:</p>
<pre>	{MERGEFIELD <em>FieldName</em> \@ "<i>Formatting Pattern</i>"}</pre>
<table class=table2>
<tr>
	<th>Date/Time Format Code</th>
	<th width=25%>Description</th>
	<th>Field Code Example</th>
	<th>Output Example</th>
</tr>
<tr>
	<th colspan=4>Day</th>
</tr>
<tr>
	<th>d</th>
	<td>Displays the day of the week or month as a number.  Single digit day 
	numbers will not include a leading zero.</td>
	<td>{MERGEFIELD Date \@ "M/d/yyyy"}</td>
	<td>4/7/2003</td>
</tr>
<tr>
	<th>dd</th>
	<td>Displays the day of the week or month as a number.  Single digit day 
	numbers will include a leading zero.</td>
	<td>{MERGEFIELD Date \@ "d MMMM yyyy"}</td>
	<td>07 April 2003</td>
</tr>
<tr>
	<th>ddd</th>
	<td>Displays a three-letter abbreviation for the day of the week.</td>
	<td>{MERGEFIELD Date \@ "ddd, d-MMM-yy"}</td>
	<td>Mon, 7-Apr-03</td>
</tr>
<tr>
	<th>dddd</th>
	<td>Displays the full name of the day of the week.</td>
	<td>{MERGEFIELD Date \@ "dddd, MMMM d, yyyy"}</td>
	<td>Monday, April 7, 2003</td>
</tr>
<tr>
	<th colspan=4>Month (Use uppercase M for months, lowercase m for minutes)</th>
</tr>
<tr>
	<th>M</th>
	<td>Displays the month as a number.  Single digit month
	numbers will not include a leading zero.</td>
	<td>{MERGEFIELD Date \@ "M/d/yy"}</td>
	<td>4/7/03</td>
</tr>
<tr>
	<th>MM</th>
	<td>Displays the month as a number.  Single digit month
	numbers will include a leading zero.</td>
	<td>{MERGEFIELD Date \@ "yyyy-MM-dd"}</td>
	<td>2003-O4-07</td>
</tr>
<tr>
	<th>MMM</th>
	<td>Displays a three-letter month abbreviation.</td>
	<td>{MERGEFIELD Date \@ "MMM-yy"}</td>
	<td>Apr-03</td>
</tr>
<tr>
	<th>MMMM</th>
	<td>Displays the full month name</td>
	<td>{MERGEFIELD Date \@ "MMMM d, yyyy"}</td>
	<td>April 7, 2003</td>
</tr>
<tr>
	<th colspan=4>Year</th>
</tr>
<tr>
	<th>yy</th>
	<td>Displays a two-digit year number.  For years 1-9, the year number 
	will include a leading zero.</td>
	<td>{MERGEFIELD Date \@ "MMM-yy"}</td>
	<td>Apr-03</td>
</tr>
<tr>
	<th>yyyy</th>
	<td>Displays a four digit year number</td>
	<td>{MERGEFIELD Date \@ "MMMM d, yyyy"}</td>
	<td>April 7, 2003</td>
</tr>
<tr>
	<th colspan=4>Hours</th>
</tr>
<tr>
	<th>h</th>
	<td>Use lowercase h to display times based on the 12-hour clock.  
	Lowercase h displays single-digit hours as single-digit numbers, without a leading 
	zero.</td>
	<td>{MERGEFIELD Time \@ "h:mm"}</td>
	<td>6:05</td>
</tr>
<tr>
	<th>hh</th>
	<td>Use lowercase hh to display times based on the 12-hour clock.
	Lowercase hh displays single-digit hours with a leading 
	zero.</td>
	<td>{MERGEFIELD Time \@ "hh:mm am/pm"}</td>
	<td>06:05 am</td>
</tr>
<tr>
	<th>H</th>
	<td>Use uppercase H to display times based on the 24-hour clock 
	(military clock).  
	Uppercase H displays single-digit hours as single-digit numbers, without a leading 
	zero.</td>
	<td>{MERGEFIELD Time \@ "H:mm"}</td>
	<td>7:05</td>
</tr>
<tr>
	<th>HH</th>
	<td>Use uppercase HH to display times based on the 24-hour clock 
	(military clock). 
	Uppercase HH displays single-digit hours with a leading 
	zero.</td>
	<td>{MERGEFIELD Time \@ "HH:mm"}</td>
	<td>18:30</td>
</tr>
<tr>
	<th colspan=4>Minutes (Use lowercase m for minutes, uppercase M for months)</th>
</tr>
<tr>
	<th>m</th>
	<td>Displays single-digit minutes without a leading zero.</td>
	<td>{MERGEFIELD Time \@ "m 'minutes'"}</td>
	<td>2 minutes</td>
</tr>
<tr>
	<th>mm</th>
	<td>Displays single-digit minutes with a leading zero.</td>
	<td>{MERGEFIELD Time \@ "hh:mm am/pm"}</td>
	<td>06:05 am</td>
</tr>
<tr>
	<th colspan=4>AM &amp; PM</th>
</tr>
<tr>
	<th>AM/PM</th>
	<td>Displays uppercase AM or PM.</td>
	<td>{MERGEFIELD Time \@ "hh:mm AM/PM"}</td>
	<td>08:30 PM</td>
</tr>
<tr>
	<th>am/pm</th>
	<td>Displays lowercase am or pm.</td>
	<td>{MERGEFIELD Time \@ "hh:mm am/pm"}</td>
	<td>07:55 am</td>
</tr>
<tr>
	<th colspan=4>Other Text</th>
</tr>
<tr>
	<th>'<i>text</i>'</th>
	<td>To display text within a date or time, enclose the text in single 
	quotation marks.</td>
	<td>{MERGEFIELD Date \@ "hh:mm 'EST'"}</td>
	<td>06:15 EST</td>
</tr>
<tr>
	<th><i>character</i></th>
	<td>To include a character, such as - (hyphen), in a date or time, 
	do not enclose in quotation marks.</td>
	<td>{MERGEFIELD Date \@ "MMM-yy"}</td>
	<td>Apr-03</td>
</tr>
</table>
<p><a href="#top">Top</a></p><hr>
<h5><a name="example1"></a>Example: Using a Template with Formatted Merge Fields</h5>
<p>The following examples generate a Word file from a template that contains merge 
fields with date and currency formatting.  To see (or hide) a merge field's formatting codes:
<ol>
	<li>Click <b>View Template</b>.</li><br><br>
	<li>Right-click within a merge field and select <b>Toggle Field Codes</b>.</li>
</ol>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Intermediate/Formatting/Formatting-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/Formatting/FormattingTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Intermediate/Formatting/Formatting-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/Formatting/FormattingTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
<p><a href="#top">Top</a></p><hr>
<h5><a name="notsupported">Formatting Options Not Supported in WordWriter 1.0</a></h5>
<p>WordWriter 1.0 does not support the Microsoft Word following formatting options: </p>
<ul>
	<li>Mapped field</li>
	<li>Vertical formatting</li>
	<li>NumberedItem</li>
</ul>
<p><a href="#top">Top</a></p>
<!-- #include file="../../include/footer.inc" -->
