<!-- #include file="../../include/header.inc" -->
<table width=95%>
<tr>
<td valign=top><h2>Creating a WordWriter Template</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<ul>
	<li><a href="#mergefield">Creating a Merge Field</a></li>
	<li><a href="#opends">Using an ODBC Data Source to Create Merge Fields</a></li>
	<li><a href="#envelope">Example: Creating a Template Envelope</a>
	<li><a href="#fax">Example: A Fax Cover Template</a>
	<li><a href="#letter">Example: A Form Letter Template</a>
</ul>
<hr>
<h5><a name="mergefield"></a>Creating a Merge Field</h5>
<p>A WordWriter template is a Microsoft Word file that contains merge fields. 
A merge field displays a data source field name (for example, a database column 
name).
WordWriter's <a href="<%=vroot%>doc/reference/setdatasource.asp">SetDataSource</a>
method binds the merge fields to a data source, which may be an array or a database 
table record.  WordWriter's 
<a href="<%=vroot%>doc/reference/process.asp">Process</a> method enters values 
from the data source in the template's merge fields.</p>
<table>
<tr>
	<td><ol>
	<li>In Microsoft Word, open or create a document to use as 
	your WordWriter template.<br><br>
	<li>From the <b>Insert</b> menu, select <b>Field...</b> to open 
	the Field dialog.<br><br>
	<li>From the <b>Field names</b> list, select <b>MergeField</b>.<br><br>
	<li>In the <b>Field name</b> text box, enter a name for the merge 
	field.  For example, enter <i>ProductName</i>.<br><br>
	<li>Optional: From the <b>Format</b> list, select a display format.  <br><br>
	<li>Optional: In <b>Field Options</b>, check <b>Text to be 
	inserted before</b> and enter text to insert before the merge field.<br><br>
	<li>Optional: In <b>Field Options</b>, check <b>Text to be 
	inserted after</b> and enter text to insert after the merge field.<br><br>
	<table width=80% bgcolor="#E5EEF5" bordercolor="005a9b" border=1 cellspacing=0 ID="Table1">
	<tr>
	<td>WordWriter 1.0 does not support the following formatting 
	options: Mapped field and Vertical formatting.</td>
	</tr>
	</table>
	</ol>
	</td>
	<td valign=top><img src="<%=vroot%>images/fieldxp_sm.jpg">
	<p align=right><b>The Field Dialog in Microsoft Word 2002 (XP)</b></p></td>
</tr>	
</table>
<a href="#top">Top</a><hr>
<h5><a name="opends"></a>Using an ODBC Data Source to Create Merge Fields</h5>
<p>WordWriter populates merge fields with values from an 
<a href="<%=vroot%>doc/quickstart/array1d.asp">array</a> or 
a <a href="<%=vroot%>doc/quickstart/dataset.asp">database</a>.  
When you use a database as the template's data source, 
you can use Word's MailMerge toolbar to connect to the database, and select 
merge fields names from a list of available database fields:  </p>
<ol>
	<li>In Microsoft Word, open or create a document to use as your 
	WordWriter template.<br><br>
	<li>From the <b>View</b> menu, select <b>Toolbars -> Mail Merge</b>.<br><br>
	<li>Click the <b>Open Data Source</b> 
	icon.<br><br>
	<img alt="Open Data Source" src="<%=vroot%>images/opends.bmp"><br><br>
	<li>Select a database.  For example, open the Access database Northwind.mdb, 
	located in WordWriter\doc-samples\samples\database.<br><br>
	<li>Select a database table from the list.<br><br>
	<li>Click the <b>Insert Merge Fields</b> icon.<br><br>
	<img alt="Insert Merge Fields" src="<%=vroot%>images/insertfield.bmp"><br><br>
	<li>From the <b>Fields</b> list, select a field (a column name) and 
	click <b>Insert</b>.  Repeat to add additional fields to the template.</li><br><br>
	<li>To format a merge field, right-click the merge field and 
	select <b>Edit field...</b> to open the Field dialog.  For more information about 
	the Field dialog, see <a href="#mergefield">Creating a Merge Field</a>.</li>
</ol>
<a href="#top">Top</a><hr>
<h5><a name="envelope"></a>Example: Creating a Template Envelope</h5>
<p>The following VB.NET and C# samples use WordWriter to open a template envelope, 
set a data source, populate the merge fields, and generate a new envelope.  
The template envelope contains merge fields for the delivery name and address and 
the return name and address.  The WordWriter code uses an array as the data source and 
gets the array values from an HTML form.  To run the sample, click Run Sample, enter 
return and delivery information in the form, and click the Generate button.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6>
	</div>
	<%
	ShowExample ("Intermediate/Envelope/Envelope-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/Envelope/Envelope10Template.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Intermediate/Envelope/Envelope-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/Envelope/Envelope10Template.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
<p>To create a template envelope:</p>
<ol>
	<li>Open Microsoft Word.<br><br>
	<li>To display the Mail Merge toolbar, open the <b>View</b> 
	menu and select <b>Toolbars -> Mail Merge</b>.<br><br>
	<li>Click the <b>Main document setup</b> icon.<br><br>
	<img alt="Main document setup" src="<%=vroot%>images/maindocsetup.bmp"><br><br>
	<li>Select <b>Envelopes</b>.<br><br>
	<img src="<%=vroot%>images/maindoctype.jpg"><br><br>
	<li>In the <b>Envelope Options</b> dialog, select envelope size, 
	address fonts, and printing options.<br><br>
	<li>Within the main document (the envelope), in the delivery and return address boxes, 
	enter merge fields.  For instructions, see <a href="#mergefield">Creating a Merge Field</a>.
</ol>


<a href="#top">Top</a><hr>
<h5><a name="fax"></a>Example: A Fax Cover Template</h5>
<p>The following VB.NET and C# samples use WordWriter to open a fax cover template, 
set a data source, populate the merge fields, and generate a new fax cover document.  
The template contains the merge fields ToName, FromName, FaxNumber, PhoneNumber, 
Subject, PageCount, Comments, chkUrgent, chkReview, and chkComment.  The WordWriter code uses 
an array as the data source and 
gets the array values from an HTML form. 
<p>Check boxes in the HTML form provide the 
values for chkUrgent, chkReview, and chkComment.  If a box is checked, "X" will be entered 
in the data source value array and displayed in the generated file.  If a box is not 
checked, an empty string will be entered in the value array and nothing will be displayed 
by the field name (for example, by "Urgent") in the generated file.
To run the sample, click Run Sample, enter the fax information in the form,
and click the Generate button.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Intermediate/FaxCover/FaxCover-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/FaxCover/FaxCoverTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Intermediate/FaxCover/FaxCover-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/FaxCover/FaxCoverTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
<p>To create a fax cover template using one of Microsoft Word's available templates:</p>
<ol>
	<li>In Microsoft Word, open the <b>File</b> menu, and select <b>New...</b></li><br><br>
	<li>From the <b>New Document</b> window, select <b>General Templates...</b></li><br><br>
	<li>In the <b>Templates</b> dialog, select the <b>Letters & Faxes</b> tab.</li><br><br>
	<li>Select one of the available fax templates.</li><br><br>
	<li><a href="#mergefield">Insert merge fields</a> in the template.</li><br><br>
</ol>
<a href="#top">Top</a><hr>
<h5><a name="letter"></a>Example: A Form Letter Template</h5>
<p>The following VB.NET and C# samples use WordWriter to open a template form letter, 
set a data source, populate the merge fields, and generate a new file.  
The template form letter contains merge fields for recipient name and address and 
author name and title.  The WordWriter code uses an array as the data source and 
gets the array values from an HTML form.  To run the sample, click Run Sample, enter 
recipient and author information in the form, and click the Generate button.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Intermediate/FormLetter/FormLetter-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/FormLetter/FormLetterTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Intermediate/FormLetter/FormLetter-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/FormLetter/FormLetterTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>


<p><a href="#top">Top</a></p>

<!-- #include file="../../include/footer.inc" -->
