<!-- #include file="../../include/header.inc" -->
<table width=95%>
<tr>
<td valign=top><h2>Output Options</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<p>WordWriter's <a href="<%=vroot%>doc/reference/save.asp">Save</a> method  
generates a new Word file and either saves it on the server, or streams it to the 
browser. WordWriter can:</p>
<ul>
	<li><a href="#save">Save the generated Word file to disk</a>.</li>
	<li><a href="#browser">Stream the Word file to the client and open it in the 
	browser window</a>.</li>
	<li><a href="#word">Stream the Word file to the client and open it in 
	Microsoft Word</a>.</li>
	<li><a href="#saveandstream">Save the generated Word file on the server 
	<b>and</b> stream it to the client</a>.</li>
</ul>
<table class=bluenote bgcolor="#E5EEF5" cellpadding=5 bordercolor="005a9b" border=1 cellspacing=0 ID="Table1">
	<tr>
	<td>When WordWriter streams a file to the client, the output result 
	will depend on the browser as well as the server-side script.  </td>
	</tr>
	</table>
<p><table class=table2>
	<tr><th><a name="save"></a>Save to disk</th><td>To save the generated file 
						on the server:
						<ol>
						<li>Pass the <code>Save</code> method 
						a file path, for example:<pre><code>oWW.Save("c:\Documents\File.doc")</code></pre>
						<b>OR</b><br><br>
						Pass the <code>Save</code> method a System.IO.FileStream
						object.  For example: 
<pre><code>oFileStream = New FileStream(Server.MapPath("./StreamOutput.doc"), FileMode.Create)
...
oWW.Save(oFileStream)
...
If Not oFileStream Is Nothing Then
	oFileStream.Close()
End If</code></pre>
						</ol>
	<table>
	<tr>
		<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/SaveToDisk/SaveToDisk-vb.aspx")
	%></td>
		<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/SaveToDisk/SaveToDisk-cs.aspx")
	%></td>
	</tr>
	</table>
	</td></tr>
	<tr><th><a name="browser"></a>Open in the browser</th><td>
			<p>When you pass an HttpResponse object to <code>Save</code>, WordWriter will 
			stream the generated Word file to the client. The browser will display a File 
			Download dialog asking the user to open or save the file. The method's second 
			parameter specifies a file name to display in the File Download dialog. 
			If the method's third parameter - OpenInBrowser - is True and the user 
			chooses to open the Word file, the file will open in the browser window.  
			For example:</p>
			<pre><code>	oWW.Save(Page.Response, "StringVarOutput.doc", True)</code></pre>
			<table>
			<tr>
				<td><div class="indent"><h6>VB.NET Example</h6></div>
			<%
			ShowExample ("Basic/OpenInline/OpenInline-vb.aspx")
			%></td>
			<td><div class="indent"><h6>C# Example</h6></div>
			<%
			ShowExample ("Basic/OpenInline/OpenInline-cs.aspx")
			%></td>
			</tr>
			</table>	
			<p>Alternatively, stream the file to the browser by passing 
			<code>Response.Stream</code> to the <code>Save</code> method.  In this case, 
			to open the generated file in the browser window:
			</p>
			<ol>
			<li>Set the response's content-type header to 
			<code>"application/vnd.ms-word"</code>:<br><code>Response.ContentType = "application/vnd.ms-word"</code><br><br>
			<li>Set the response's content-disposition to 
			<code>"inline"</code>:<br><code>Response.AddHeader("Content-Disposition", "inline;filename=""WordWriter.doc""")</code><br><br>
			<li>Pass the <code>Save</code> method 
			<code>Response.Stream</code> as a parameter:<br><code>oWW.Save(Response.OutputStream)</code>
			</ol>
	
	</td></tr>
	<tr><th><a name="word"></a>Open in Microsoft Word</th><td>
			<p>When you pass an HttpResponse object to <code>Save</code>, WordWriter will stream the 
			generated Word file to the client. The browser will display a File Download 
			dialog asking the user to open or save the file. The method's second parameter 
			specifies a file name to display in the File Download dialog. If the method's 
			third parameter - OpenInBrowser - is False and the user chooses to open the 
			Word file, the file will open in Microsoft Word.  For Example:</p>
			<pre><code>	oWW.Save(Page.Response, "StringVarOutput.doc", False)</code></pre>
			<table>
			<tr>
				<td><div class="indent"><h6>VB.NET Example</h6></div>
			<%
			ShowExample ("Basic/StringVar/StringVar-vb.aspx")
			%></td>
				<td><div class="indent"><h6>C# Example</h6></div>
			<%
			ShowExample ("Basic/StringVar/StringVar-cs.aspx")
			%></td>
			</tr>
			</table>
			<p>Alternatively, stream the file to the browser by passing 
			<code>Response.Stream</code> to the <code>Save</code> method.  In this case, 
			to open the generated file in the Microsoft Word:</p>
						<ol>
						<li>Set the response's content-type header to 
						<code>"application/vnd.ms-word"</code>:<br>
						<code>Response.ContentType = "application/vnd.ms-word"</code><br><br>
						<li>Set the response's content-disposition to 
						<code>"attachment"</code>:<br>
						<code>Response.AddHeader("Content-Disposition", "attachment;filename=""WordWriter.doc""")</code><br><br>
						<li>Pass the <code>Save</code> method 
						<code>Response.Stream</code> as a parameter:<br>
						<code>oWW.Save(Response.OutputStream)</code>
						</ol>
	</td></tr>
	<tr><th><a name="saveandstream"></a>Save and Stream to Browser</th><td>
	<p>You can call <code>Save</code> more than once for a single instance of 
	<code>WordTemplate</code>. In the following examples <code>Save</code> is 
	called twice: </p>
	<ol>
		<li><code>oWW.Save(Server.MapPath("./SaveMultipleOutput.doc"))</code><br>
		Saves the generated Word file on the server.<br><br>
		<li><code>oWW.Save(Page.Response, "SaveMultipleOutput.doc", False)</code><br>
		Streams the generated Word file to the client.  Since the parameter 
		<code>OpenInBrowser</code> is False, the file will open in Microsoft Word.
	</ol>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/SaveMultiple/SaveMultiple-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/SaveMultiple/SaveMultipleTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/SaveMultiple/SaveMultiple-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/SaveMultiple/SaveMultipleTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
</table></p>

<!-- #include file="../../include/footer.inc" -->
