<!-- #include file="../../include/header.inc" -->
<table width=95% ID="Table1">
<tr>
<td valign=top><h2>Installing SoftArtisans WordWriter</h2>
</td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<h5><a name="auto"></a>Automatic Installation</h5>
<p>To run the automatic installation, double-click WordWriter.exe and follow the 
instructions.  By default, the 
automatic installation will save WordWriter's assemblies, samples, and documentation 
in the directory C:\Program Files\SoftArtisans\WordWriter.  You can select a 
different directory during the installation process.</p>
<p>WordWriter includes two assemblies: WordWriter.dll and Collections.dll.  The 
assemblies are in WordWriter\doc-samples\bin.  After running the automatic installation, 
you will be able to run WordWriter's samples.  To make the assemblies available to 
another application, follow the instructions for 
installing WordWriter at the <a href="#app">application level</a>.  
To make the assemblies available to 
all .NET applications on your machine, follow the instructions for installing 
WordWriter in the <a href="#gac">Global Assembly Cache</a>.
</p>
<hr>
<h5><a name="app">Installing WordWriter at the Application Level</a></h5>
<p>To make WordWriter available to a single application, 
include at the application's top level, a bin directory containing the assembly files: </p>
<ol>
	<li>At the top level of your application, create a directory called <b>bin</b>.<br><br>
	<li>Copy WordWriter.dll and Collections.dll from WordWriter\doc-samples\bin to 
	your application's bin directory.</li>
</ol>
<hr>
<h4><a name="gac">Installing WordWriter in the Global Assembly Cache (GAC)</a></h4>	
<p>To make WordWriter available to all .NET applications on your machine:</p>
<ol>
	<li>Open a command prompt window and move to the directory WordWriter\doc-samples\bin.<br><br>
	<li>Enter <b><tt>gacutil /i WordWriter.dll</tt></b>.</li><br><br>
	<li>Enter <b><tt>gacutil /i Collections.dll</tt></b>.</li><br><br>
	<li>Open the file <b>machine.config</b> 
	(in C:\WINNT\Microsoft.NET\Framework\Vx.x.xxxx\CONFIG).</li><br><br>
	<li>Add the following line to the <b>assemblies</b> node of machine.config:<br><br>
	<pre><code>&lt;add assembly="WordWriter, Version=x.x.x.x, Culture=neutral, PublicKeyToken=d7b935349d058188"/&gt;</code></pre>
	<p><b>OR</b></p>
	<p><a name="webconfig"></a>Create a text file containing the following lines, and save it as 
<b>web.config</b>. Save web.config at the top level of your application. 	
<PRE><code>&lt;?xml version="1.0" encoding="utf-8" ?&gt;
&lt;configuration&gt;
&lt;system.web&gt;
&lt;compilation&gt;
&lt;compilers&gt;
&lt;/compilers&gt;
&lt;assemblies&gt;
&lt;add assembly="WordWriter, Version=x.x.x.x, Culture=neutral, PublicKeyToken=d7b935349d058188"/&gt;
&lt;add assembly="*" /&gt;
&lt;/assemblies&gt;
&lt;/compilation&gt;          
&lt;/system.web&gt;
&lt;/configuration&gt;</code></pre>
</ol>
<table bgcolor="#E5EEF5" cellpadding=5 bordercolor="005a9b" border=1 cellspacing=0>
		<tr>
		<td>The <code>version</code> attribute of the <code>add assembly</code> node 
		must correspond <b>exactly</b> to the version of the assembly (dll file) added to the GAC. 
		If you add a new version of WordWriter to the GAC using the <tt>gacutil</tt> command, 
		update the dll <code>version</code>	attributes in machine.config.  To get the exact 
		version of the dll file, right-click the dll and select the Properties tab.</td></tr>
		</table>
<p><a href="#top">Top</a></p><hr>
<h4><a name="2003"></a>Using WordWriter with Windows 2003</h4>	
<p>To use WordWriter on Windows 2003, you must enable the following 
	Web Service extensions in IIS:</p>
	<ul>
		<li>Active Server Pages</li>
		<li>ASP.NET</li>
	</ul>
	<p>To enable these extensions:</p>
	<ol>
		<li>Open the Internet Information Services (IIS) Manager.</li>
		<li>Open <b>local computer</b>.</li>
		<li>Select <b>Web Service Extensions</b>.</li>
		<li>From the list of Web Service Extensions, select <b>Active Server Pages</b>.</li>
		<li>Click the <b>Allow</b> button.</li>
		<li>From the list of Web Service Extensions, select <b>ASP.NET</b>.</li>
		<li>Click the <b>Allow</b> button.</li>
	</ol>
	<p><img border=1 src="<%=vroot%>images/win2003.jpg"></p>
<p><a href="#top">Top</a></p>
<!-- #include file="../../include/footer.inc" -->
