<!-- #include file="../../include/header.inc" -->
<table width=95%>
<tr>
<td valign=top><h2>Using an Array as a Data Source</h2>
</td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<table>
<tr>
	<td width=50% valign=top><p>The following VB.NET and C# samples generate a Word file from the template 
	ArrayVarsTemplate.doc (included in WordWriter\doc-samples\samples\basic\ArrayVars).  
	ArrayVarsTemplate.doc contains the merge fields 
	ProductName, CompanyName, and URL.  The WordWriter 
	script gets the values for these fields from an array of objects.</p>
	<table>
	<tr>
		<td><h5>VB.NET Example</h5>
		<%
		ShowExample ("Basic/ArrayVars/ArrayVars-vb.aspx")
		%><div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/ArrayVars/ArrayVarsTemplate.doc">View Template</a>]</div>
		<br></td>
	</tr>
	<tr>
		<td><h5>C# Example</h5>
		<%
		ShowExample ("Basic/ArrayVars/ArrayVars-cs.aspx")
		%><div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/ArrayVars/ArrayVarsTemplate.doc">View Template</a>]</div>
		</td>
	</tr>
	</table>
	
	<p>To set a template's data source to an array, first 
	create an object array of field values and a string array 
	of field names:</p>  
	<pre><code>'--- Create an object array of field values.
Dim arrValue As Object() = {"SoftArtisans",_ 
	"WordWriter",_
	"http://www.softartisans.com"}
		
'--- Create a string array of field names.  
Dim arrName As String() = {"CompanyName",_ 
	"ProductName",_
	"URL"}</code></pre></td>	
	<td valign=top><img border=1 src="<%=vroot%>images/simplearray.jpg"></td>
</tr>
</table>
<p>Each merge field in the template will bind to a field name/field value pair.  
When creating field name and field value arrays to use as a data source, 
remember:</p>
<ul>
	<li>The two arrays must contain the same number of elements.<br><br>
	<li>Each name in the array of field names must be the same as the 
	corresponding merge field name in the template.<br><br>
	<li>The number of unique merge fields in the template may not exceed 
	the number of values in the data source.  The data source must
	provide a value for each merge field in the template.<br><br>
	<li>The number of values in the data source may be greater than the number merge 
	fields in the template.  <br><br>
</ul>
<p>You can call the <a href="<%=vroot%>doc/reference/setdatasource.asp">SetDataSource</a>
method before or after opening the template (that is, before or after calling 
<a href="<%=vroot%>doc/reference/open.asp">Open</a>). When you call  
<code>SetDataSource</code>, pass the two arrays you created to the method as 
parameters:</p>
<pre>	<code>oWW.SetDataSource(arrValue, arrName)</code></pre>
<p>The <code>Process</code> method enters the array values in the template's 
merge fields:</p>
<pre><code>	oWW.Process()</code></pre>
<p>The <code>Save</code> either saves the new Word file on the server, or streams 
it to the browser.  In this example, WordWriter 
streams the generated file to the client:</p>
<pre><code>	oWW.Save(Page.Response, "ArrayVarsOutput.doc", False)</code></pre>
<p>On the client, a File Download dialog will ask the user to open or save the 
Word file.  Since the <code>Save</code> method's third parameter - <code>OpenInBrowser</code> - 
is set to False, if the user chooses to open the file, it will open in Microsoft 
Word.</p>




<!-- #include file="../../include/footer.inc" -->
