<!-- #include file="../../include/header.inc" -->
<table width=95%>
<tr>
<td valign=top><h2>Importing from a Database</h2>
</td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<p>You can use a database table as a data source for a WordWriter template 
by passing the <a href="<%=vroot%>doc/reference/setdatasource.asp">SetDataSource</a>
method either an ADO.NET DataTable or an ADO.NET DataSet.  If you pass 
<code>SetDataSource</code> a DataSet, WordWriter will use the first DataTable 
in the DataSet as the data source.</p>
<p>The following sample generates a file from the template DataSetTemplate.doc 
(included in WordWriter\doc-samples\samples\basic\DataSet). This template contains the merge 
fields TitleOfCourtesy, FirstName, LastName, and Title. 
Using ADO.NET and OleDB, the VB.NET code gets the values for these fields from the 
Employees table in the NorthWind Traders database.</p>
<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/DataSet/DataSet-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/DataSet/DataSetTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/DataSet/DataSet-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/DataSet/DataSetTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>

<p>To set a template's data source to a DataSet using OleDB:</p>
<ol>
	<li>Import the <code>System.Data</code> and <code>System.Data.OleDB</code> 
	namespaces to the .aspx page:
<pre><code>&lt;%@ Import namespace="System.Data" %&gt;
&lt;%@ Import namespace="System.Data.OleDb" %&gt;</code></pre>
	<li>Create an <code>OleDbConnection</code> object and open a database 
	connection, for example:
<pre><code>'--- Define the connection string we'll use to connect to the Access database.
'--- This string is stored in an application variable WordWriter\doc-samples\global.asax.
Dim strConnString As String = Application("connString").ToString()
...				
'--- Declare and initialize an OleDbConnection object.
Dim oConn As OleDbConnection = Nothing
...
'--- Instantiate and open an OleDbConnection, passing the connection string.
oConn = New OleDbConnection(strConnString)
oConn.Open()
</code></pre>
	<li>Create a SQL query to get data from the database.   
	This SQL query gets TitleOfCourtesy, FirstName, LastName, and Title from 
	the first row in the Employee's table:
<pre><code>Dim strSQL As String = "SELECT TOP 1 TitleOfCourtesy, FirstName, LastName, Title FROM Employees"</code></pre>
	<li>Create an <code>OleDbDataAdapter</code> that will execute the SQL command 
	at the data source and fill the <code>DataSet</code>, for example:
<pre><code>Dim oAdpt As OleDbDataAdapter = Nothing
...
oAdpt = New OleDbDataAdapter(strSQL, oConn)</code></pre>
	<li>Create a <code>DataSet</code> and use the <code>OleDbDataAdapter</code> 
	to fill it with the data retrieved from the database:</li>
<pre><code>Dim oDS As DataSet = Nothing
...		
oDS = New DataSet()
oAdpt.Fill(oDS)
</code></pre>
	<li>After creating a <code>WordTemplate</code> object, and opening the template 
	Word file, call <code>SetDataSource</code> and pass it the <code>DataSet</code>:
<pre><code>oWW.SetDataSource(oDS)</code></pre>
	<li>To enter the values in the template and either save the file or stream it 
	to the browser, 
	call <a href="<%=vroot%>doc/reference/process.asp">Process</a> and then 
	<a href="<%=vroot%>doc/reference/save.asp">Save</a>.<br><br>
	<li>Close the connection to the database:
<pre><code>If Not oConn Is Nothing Then
	oConn.Close()
End If</code></pre>
</ol>
<!-- #include file="../../include/footer.inc" -->
