<!-- #include file="../../include/header.inc" -->
<!-- #include file="ref_link.inc" -->
<table width=95%>
<tr>
<td valign=top><strong><font color="005a9b">ASP.NET Programmer's Reference</font></strong>
<h2>WordTemplate.Open Method</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<table class=table2 border=1 bordercolor=white>
<tr>
	<td><code><a href="#string">open(templateFileName)</a></code><br>
	<div class=indent>
	Opens a WordWriter template specified by file name.
	</div></td>
</tr>
<tr>
	<td><code><a href="#stream">opens(templateStream)</a></code><br>
	<div class=indent>
	Opens a WordWriter template from a <tt>System.IO.Stream</tt>, or 
	a class derived from <tt>System.IO.Stream</tt> (for example, <tt>System.IO.FileStream</tt>).	
	</div></td>
</tr>
</table>
<hr>
<h4><a name="string"></a>open(templateFileName)</h4>
<h6>C# Syntax:</h6>
<div class=indent>
<tt>
public void WordTemplate.<code><b>Open</b></code>(String templateFileName);</tt>
</div>
<h6>VB.NET Syntax:</h6>
<div class=indent>
<tt>
Public Sub WordTemplate.<code><b>Open</b></code>(templateFileName As String)</tt>
</div>
<h6>Description:</h6>
<div class=indent>
<p>Opens the WordWriter template specified by the <tt>templateFileName</tt> 
parameter.   A WordWriter template is a file created in Microsoft Word that contains 
merge fields. </p>
<p>WordWriter supports Microsoft Word 97, 2000, and 2002 (XP).  Do not 
use <code>Open</code> to open files created in earlier versions of 
Microsoft Word.</p>
</div>
<h6>Parameters:</h6>
<ul>
	<li><tt><b>templateFileName</b></tt><br>
	The complete path and file name of the template Word file.</li>
</ul>
<h6><a name="Exceptions"></a>Exceptions:</h6>
<ul>
	<li><b><a target="new" href="http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpref/html/frlrfsystemargumentnullexceptionclasstopic.asp">
	System.ArgumentNullException</a></b><img src="<%=vroot%>images/weblink.gif"><br>
	<code>Open</code> will throw this exception if
	<tt>null</tt> (C#), <tt>Nothing</tt> (VB.NET), or an empty string 
	is passed to the method.</li>
	<li><b><a target="new" href="http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpref/html/frlrfsystemiofilenotfoundexceptionclasstopic.asp">
	System.IO.FileNotFoundException</a></b><img src="<%=vroot%>images/weblink.gif"><br>
	<code>Open</code> will throw this exception if
	the file does not exist on the server or access to the file is denied.<br><br></li>
</ul>
<h6>Example:</h6>
	<pre>	<code>[VB.NET]
	oWW.Open("c:\templates\StringTemplate.doc")</code></pre>
<p><a href="#top">Top</a></p><hr>
<h4><a name="stream"></a>open(templateStream)</h4>
<h6>C# Syntax:</h6>
<div class=indent>
<tt>
public void WordTemplate.<code><b>Open</b></code>(System.IO.Stream oStreamObj);</tt>
</div>
<h6>VB.NET Syntax:</h6>
<div class=indent>
<tt>
Public Sub WordTemplate.<code><b>Open</b></code>(oStreamObj As System.IO.Stream)</tt>
</div>
<h6>Description:</h6>
<div class=indent>
<p>Opens a WordWriter template from a <tt>System.IO.Stream</tt>.  A WordWriter 
template is a file created in Microsoft Word that contains merge fields.</p>
<p>WordWriter supports Microsoft Word 97, 2000, and 2002 (XP).  Do not 
use <code>Open</code> to open files created in earlier versions of 
Microsoft Word.</p>
</div>
<h6>Parameters:</h6>
<ul>
	<li><tt><b>templateStream</b></tt><br>
	A <tt>System.IO.Stream</tt> object, or a class derived from 
	System.IO.Stream (for example, System.IO.FileStream).</li>
</ul>
<h6>Example:</h6>
	<pre><code>	[VB.NET]
	oFileStream = New FileStream("c:\templates\StringTemplate.doc", FileMode.Open)
	oWW.Open(oFileStream)</code></pre>
<p><a href="#top">Top</a></p>
 
 
<!-- #include file="ref_link.inc" -->
<!-- #include file="../../include/footer.inc" -->
