<!-- #include file="../../include/header.inc" -->
<!-- #include file="ref_link.inc" -->
<table width=95%>
<tr>
<td valign=top><strong><font color="005a9b">ASP Programmer's Reference</font></strong>
<h2>WordTemplate.Open Method</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<h6>Syntax:</h6>
<div class=indent>
<tt>Sub WordTemplate.<code><b>Open</b></code>(templateFileName As String)</tt>
</div>
<h6>Description:</h6>
<div class=indent>
<p>Opens the WordWriter template specified by the <tt>templateFileName</tt> 
parameter.   A WordWriter template is a file created in Microsoft Word that contains 
merge fields. </p>
<p>WordWriter supports Microsoft Word 97, 2000, and 2002 (XP).  Do not 
use <code>Open</code> to open files created in earlier versions of 
Microsoft Word.</p>
</div>
<h6>Parameters:</h6>
<ul>
	<li><tt><b>templateFileName</b></tt><br>
	The complete path and file name of the template Word file.</li>
</ul>
<h6>Example:</h6>
<pre><code>	[VB]
	arrValues = Array("SoftArtisans", "WordWriter", "http://www.softartisans.com")
	arrNames = Array("CompanyName", "ProductName", "URL")
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")
	oWW.Open(Server.MapPath("./Template.doc"))
	oWW.SetDataSource arrValues, arrNames
	oWW.Process
	oWW.Save Response, "Output.doc", False 
	Set oWW = Nothing</code></pre>
<p><a href="#top">Top</a></p>
<!-- #include file="ref_link.inc" -->
<!-- #include file="../../include/footer.inc" -->
