<!-- #include file="../../include/header.inc" -->
<!-- #include file="ref_link.inc" -->
<table width=95%>
<tr>
<td valign=top><strong><font color="005a9b">ASP.NET Programmer's Reference</font></strong>
<h2>WordTemplate.Process Method</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<h6>C# Syntax:</h6>
<div class=indent>
<tt>public void WordTemplate.<code><b>Process</b></code>();</tt></div>
<h6>VB.NET Syntax:</h6>
<div class=indent>
<tt>Public Sub WordTemplate.<code><b>Process</b></code>()</tt></div>
<h6>Description:</h6>
<div class=indent>
<p>The <code>Process</code> method enters data source values in a template's 
merge fields. Call <code>process</code> after <a href="setdatasource.htm">SetDataSource</a> 
and before <a href="save.htm">Save</a>.</p>
<p>You can call <code>Process</code> more than once for a single instance of 
<a href="wordtemplate.htm">WordTemplate</a>. This allows you to generate multiple 
files from a single template and an updated data source.</p>
</div>
<h6>Examples:</h6>
<ul>
	<li><h6>Generate a single Word file</h6>
	<pre><code>[VB.NET]
	
'--- Create an object array of values 
'--- and a string array of field names to pass to 
'--- SetDataSource.
Dim arrValue As Object() = {"SoftArtisans WordWriter"}
Dim arrName As String() = {"ProductName"}

'--- Create an instance of WordTemplate.
Dim oWW As WordTemplate = Nothing
oWW = New WordTemplate()

'--- Open a template file.
oWW.Open(Server.MapPath("./StringVarTemplate.doc"))

'--- Set the file's data source by passing 
'--- SetDataSource an array of values and an 
'--- array of merge field names.
oWW.SetDataSource(arrValue, arrName)

'--- Call Process() to populate the template with 
'--- the new data.
oWW.Process()

'--- After processing the template, call Save() and pass it 
'--- Page.Response to stream the generated file to the browser.
oWW.Save(Page.Response, "StringVarOutput.doc", False)</code></pre>
	<li><h6>Create multiple Word files from a single template and an updated data source</h6>
	<pre><code>[VB.NET]
	
Dim oWW As WordTemplate = Nothing
oWW = New WordTemplate()
	
oWW.Open(Server.MapPath("./DataSourceUpdateTemplate.doc"))
	
'--- Set an object array of values to enter in 
'--- the template's merge fields.
Dim arrValue As Object() = {"SoftArtisans", "WordWriter", "http://www.softartisans.com"}
		
'--- Set a string array of merge field names.
Dim arrName As String() = {"CompanyName", "ProductName", "URL"}

'--- Set the data source of the document by passing
'--- the value array and the name array initialized above.
oWW.SetDataSource(arrValue, arrName)

'--- Call Process() to populate the template with the data.
oWW.Process()

'--- After calling Process(), pass the Save method a string file name 
'--- to save the generated file on the server.
oWW.Save(Server.MapPath("./DataSourceUpdateOutput-1.doc"))

'--- Now, update the data source by modifying the elements of 
'--- the arrValues array.
arrValue(0) = "SoftArtisans, Inc."
arrValue(1) = "WordWriter.WordTemplate"
arrValue(2) = "www.softartisans.com"

'--- Call Process() again to populate the open
'--- template with the updated data source.
oWW.Process()

'--- Save the updated document.
oWW.Save(Server.MapPath("./DataSourceUpdateOutput-2.doc"))</code></pre>
</ul>
<p><a href="#top">Top</a></p>
<!-- #include file="ref_link.inc" -->
<!-- #include file="../../include/footer.inc" -->
