<!-- #include file="../../include/header.inc" -->
<!-- #include file="ref_link.inc" -->
<table width=95%>
<tr>
<td valign=top><strong><font color="005a9b">ASP Programmer's Reference</font></strong>
<h2>WordTemplate.Process Method</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<h6>Syntax:</h6>
<div class=indent>
<tt>Sub WordTemplate.<code><b>Process</b></code></tt></div>
<h6>Description:</h6>
<div class=indent>
<p>The <code>Process</code> method enters data source values in a template's 
merge fields. Call <code>Process</code> after <a href="setdatasource_asp.htm">SetDataSource</a> 
and before <a href="save_asp.htm">Save</a>.</p>
<p>You can call <code>Process</code> more than once for a single instance of 
<a href="wordtemplate_asp.htm">WordTemplate</a>. This allows you to generate multiple 
files from a single template and an updated data source.</p>
</div>
<h6>Example:</h6>
<pre><code>	[VB]
	arrValues = Array("SoftArtisans", "WordWriter", "http://www.softartisans.com")
	arrNames = Array("CompanyName", "ProductName", "URL")
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")
	oWW.Open(Server.MapPath("./Template.doc"))
	oWW.SetDataSource arrValues, arrNames
	'--- Call WordTemplate.Process to populate the 
	'--- template with the new data.
	oWW.Process
	oWW.Save Response, "Output.doc", False 
	Set oWW = Nothing</code></pre>
<p><a href="#top">Top</a></p>
<!-- #include file="ref_link.inc" -->
<!-- #include file="../../include/footer.inc" -->
