<!-- #include file="../../include/header.inc" -->
<!-- #include file="ref_link.inc" -->
<table width=95%>
<tr>
<td valign=top><strong><font color="005a9b">ASP.NET Programmer's Reference</font></strong>
<h2>WordTemplate.Save Method</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<table class=table2 border=1 bordercolor=white>
<tr>
	<td><code><a href="#string">Save(strFilePath)</a></code><br>
	<div class=indent>
	Saves the generated Word file on the server.
	</div></td>
</tr>
<tr>
	<td><code><a href="#stream">Save(oStreamObj)</a></code><br>
	<div class=indent>
	Writes the generated Word file to the specified <tt>System.IO.Stream</tt>, or 
	a class derived from <tt>System.IO.Stream</tt> (for example, <tt>System.IO.FileStream</tt>).
	</div></td>
</tr>
<tr>
	<td><code><a href="#response">Save(response)</a></code><br>
	<div class=indent>
	Streams the generated Word file to the client.
	</div></td>
</tr>
<tr>
	<td><code><a href="#response2">Save(response, attachmentName, OpenInBrowser)</a></code><br>
	<div class=indent>
	Streams the generated Word file to the client.
	</div></td>
</tr>
</table>
<hr>
<h4><a name="string"></a>Save(FileName)</h4>
<h6>C# Syntax:</h6>
<div class=indent>
<tt>public void WordTemplate.<code><b>Save</b></code>(string strFilePath);</tt>
</div>
<h6>VB.NET Syntax:</h6>
<div class=indent>
<tt>Public Sub WordTemplate.<code><b>Save</b></code>(strFilePath As String)</tt>
</div>
<h6>Description:</h6>
<div class=indent>
<p>Saves the generated Word file on the server.</p>
</div>
<h6>Parameters:</h6>
<ul>
	<li><tt><b>strFilePath</b></tt><br>
	Specifies a complete path and file name for the generated file.  
	WordWriter will save the file to this location.  If a file with the 
	same name exists, it will be overwritten by the new Word file.<br><br></li>
</ul>
<h6>Exceptions:</h6>
<ul>
	<li><b><a target="new" href="http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpref/html/frlrfsystemargumentnullexceptionclasstopic.asp">
	System.ArgumentNullException</a></b><img src="<%=vroot%>images/weblink.gif"><br>
	<code>Save</code> will throw this exception if <tt>null</tt> (C#) or <tt>Nothing</tt> 
	(VB.NET) is passed to the method.</li>
</ul>
<p><a href="#top">Top</a></p><hr>
<h4><a name="stream"></a>save(oStreamObj)</h4>
<h6>C# Syntax:</h6>
<div class=indent>
<tt>public void WordTemplate.<code><b>Save</b></code>(System.IO.Stream oStreamObj);</tt>
</div>
<h6>VB.NET Syntax:</h6>
<div class=indent>
<tt>Public Sub WordTemplate.<code><b>Save</b></code>(oStreamObj As System.IO.Stream)</tt>
</div>
<h6>Description:</h6>
<div class=indent>
<p>Sends the generated Word binary file to the specified 
<tt>System.IO.Stream</tt> or, a class derived from 
<tt>System.IO.Stream</tt> (for example, <tt>System.IO.FileStream</tt>).
If you pass <code>Save</code> a <tt>System.IO.FileStream</tt>, WordWriter will save 
the generated file on the server. If you pass <code>Save</code> <tt>Response.OutputStream</tt>, 
WordWriter will stream the the generated file to the client. </p>
</div>
<h6>Parameters:</h6>
<ul>
	<li><tt><b>oStreamObj</b></tt><br>
	A <tt>System.IO.Stream</tt> object (for example, <tt>Response.OutputStream</tt>) 
	or, a class derived from <tt>System.IO.Stream</tt> (for example, 
	<tt>System.IO.FileStream</tt>)</li>
</ul>
<h6>Exception:</h6>
<ul>
	<li><b><a target="new" href="http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpref/html/frlrfsystemargumentnullexceptionclasstopic.asp">
	System.ArgumentNullException</a></b><img src="<%=vroot%>images/weblink.gif"><br>
	<code>Save</code> will throw this exception if <tt>null</tt> (C#) or <tt>Nothing</tt> 
	(VB.NET) is passed to the method.</li>
</ul>
<h6>Example:</h6>
<pre><code>	[VB.NET]
	'--- Open a FileStream object, pass it to 
	'--- the Save method, and close the FileStream object.
	'--- oFileStream = New FileStream(Server.MapPath("./StreamOutput.doc"), FileMode.Create)
	'--- ...
	'--- oWW.Save(oFileStream)
	'--- ...
	'--- If Not oFileStream Is Nothing Then
	'--- 	oFileStream.Close()
	'--- End If</code></pre>
<p><a href="#top">Top</a></p><hr>
<h4><a name="response"></a>save(response)</h4>
<h6>C# Syntax:</h6>
<div class=indent>
<tt>public void WordTemplate.<code><b>Save</b></code>(System.Web.HttpResponse response);</tt>
</div>
<h6>VB.NET Syntax:</h6>
<div class=indent>
<tt>Public Sub WordTemplate.<code><b>Save</b></code>(response As System.Web.HttpResponse)</tt>
</div>
<h6>Description:</h6>
<div class=indent>
<p>If you pass <code>Save</code> an <tt>HttpResponse</tt> object
object, WordWriter will stream the generated file to the client.  If the user 
chooses to open (rather than save) the file, it will open in the browser window.</p>
</div>
<h6>Parameter:</h6>
<ul>
	<li><tt><b>response</b></tt><br>
	The page's <tt>HttpResponse</tt> object.</li>
</ul>
<h6>Exception:</h6>
<ul>
	<li><b><a target="new" href="http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpref/html/frlrfsystemargumentnullexceptionclasstopic.asp">
	System.ArgumentNullException</a></b><img src="<%=vroot%>images/weblink.gif"><br>
	<code>Save</code> will throw this exception if <tt>null</tt> (C#) or <tt>Nothing</tt> 
	(VB.NET) is passed to the method.</li>
</ul>
<h6>Example:</h6>
<pre><code>	[VB.NET]
	...
	oWW = New WordTemplate()
	oWW.Open(Server.MapPath("./StringVarTemplate.doc"))
	oWW.SetDataSource(arrValue, arrName)
	oWW.Process()
	oWW.Save(Page.Response</code></pre>
<p><a href="#top">Top</a></p><hr>
<h4><a name="response2"></a>save(response, attachmentName, openInBrowser)</h4>
<h6>C# Syntax:</h6>
<div class=indent>
<tt>public void WordTemplate.<code><b>Save</b></code>(System.Web.HttpResponse response,_
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;string attachmentName,_
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;bool openInBrowser);</tt>
</div>
<h6>VB.NET Syntax:</h6>
<div class=indent>
<tt>Public Sub WordTemplate.<code><b>Save</b></code>(response As System.Web.HttpResponse,_
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;attachmentName As String,_
<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;OpenInBrowser As Boolean)</tt>
</div>
<h6>Description:</h6>
<div class=indent>
<p>If you pass <code>save</code> an HttpServletResponse object, WordWriter will 
stream the generated file to the client.  This method allows you to specify a 
default client-side file name, and whether the file should be opened in the browser 
window or in Microsoft Word.</p>
</div>
<h6>Parameters:</h6>
<ul>
	<li><tt><b>response</b></tt><br>
	The <tt>HttpResponse</tt> instance of the page.</li>
	<li><tt><b>attachmentName</b></tt><br>
	Specifies a name for the generated Word file; this name will be displayed in the 
	download dialog when the file is streamed to the browser.  </li>
	<li><tt><b>openInBrowser</b></tt><br>
	If <code>openInBrowser</code> is set to <tt>true</tt>, and the 
	user chooses to open the file, the file will open in the browser 
	window.  If <code>openInBrowser</code> is set to <tt>false</tt>, and the 
	user chooses to open the file, the file will open in Microsoft Word.  
	By default, the file will open in the browser window.  Note: not all 
	browsers can embed a Word file in the browser window.</li>
</ul>
<h6>Exception:</h6>
<ul>
	<li><b><a target="new" href="http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpref/html/frlrfsystemargumentnullexceptionclasstopic.asp">
	System.ArgumentNullException</a></b><img src="<%=vroot%>images/weblink.gif"><br>
	<code>Save</code> will throw this exception if <tt>null</tt> (C#) or <tt>Nothing</tt> 
	(VB.NET) is passed to the method.</li>
</ul>
<h6>Examples:</h6>
<ul>
	<li><h6>Stream to the client and open in MS Word</h6>
	<p>When you pass an HttpResponse object to <code>Save</code>, 
	WordWriter will stream the generated Word file to the client. 
	The browser will display a File Download dialog asking the user to open 
	or save the file.  The method's second parameter specifies a file name 
	to display in the File Download dialog.
	If the method's third parameter - <code>OpenInBrowser</code> - 
	is False and the user chooses to open the Word file, 
	the file will open in Microsoft Word.</p>
	<pre><code>	[VB.NET]
	oWW.Save(Page.Response, "StringVarOutput.doc", False)</code></pre>
	
	<li><h6>Stream to the client and open in the browser window</h6>
	<p>When you pass an HttpResponse object to <code>Save</code>, 
	WordWriter will stream the generated Word file to the client. 
	The browser will display a File Download dialog asking the user to open 
	or save the file.  The method's second parameter specifies a file name 
	to display in the File Download dialog.
	If the method's third parameter - <code>OpenInBrowser</code> - 
	is True and the user chooses to open the Word file, 
	the file will open in the browser window.</p>
	<pre><code>	[VB.NET]
	oWW.Save(Page.Response, "StringVarOutput.doc", True)</code></pre>	
</ul>
<p><a href="#top">Top</a></p>
<!-- #include file="ref_link.inc" -->
<!-- #include file="../../include/footer.inc" -->
