<!-- #include file="../../include/header.inc" -->
<!-- #include file="ref_link.inc" -->
<table width=95%>
<tr>
<td valign=top><strong><font color="005a9b">ASP Programmer's Reference</font></strong>
<h2>WordTemplate.Save Method</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table><hr>
<table class=table2 border=1 bordercolor=white>
<tr>
	<td><code><a href="#string">Save(FileName)</a></code><br>
	<div class=indent>
	Saves the generated Word file on the server.
	</div></td>
</tr>
<tr>
	<td><code><a href="#response">Save(response)</a></code><br>
	<div class=indent>
	Streams the generated Word file to the client.
	</div></td>
</tr>
<tr>
	<td><code><a href="#response2">Save(response, attachmentName, OpenInBrowser)</a></code><br>
	<div class=indent>
	Streams the generated Word file to the client.
	</div></td>
</tr>
</table>
<hr>
<h4><a name="string"></a>Save(FileName)</h4>
<h6>Syntax:</h6>
<div class=indent>
<tt>Sub WordTemplate.<code><b>Save</b></code>(FileName As String)</tt>
</div>
<h6>Description:</h6>
<div class=indent>
<p>Saves the generated Word file on the server.</p>
</div>
<h6>Parameters:</h6>
<ul>
	<li><tt><b>FileName</b></tt><br>
	Specifies a complete path and file name for the generated file.  
	WordWriter will save the file to this location.  If a file with the 
	same name exists, it will be overwritten by the new Word file.<br><br></li>
</ul>
<h6>Example:</h6>
<pre><code>	[VB]
	arrValues = Array("SoftArtisans", "WordWriter", "http://www.softartisans.com")
	arrNames = Array("CompanyName", "ProductName", "URL")
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")
	oWW.Open(Server.MapPath("./Template.doc"))
	oWW.SetDataSource arrValues, arrNames
	oWW.Process
	oWW.Save "C:\Output\Output.doc"
	Set oWW = Nothing</code></pre>
<p><a href="#top">Top</a></p><hr>
<h4><a name="response"></a>Save(response)</h4>
<h6>Syntax:</h6>
<div class=indent>
<tt>Sub WordTemplate.<code><b>Save</b></code>(response As ASP Response)</tt>
</div>
<h6>Description:</h6>
<div class=indent>
<p>If you pass <code>Save</code> the ASP Response object, 
WordWriter will stream the generated file to the client.  If the user 
chooses to open (rather than save) the file, it will open in the browser window.</p>
</div>
<h6>Parameter:</h6>
<ul>
	<li><tt><b>response</b></tt><br>
	The ASP Response object.</li>
</ul>
<h6>Example:</h6>
<pre><code>	[VB]
	arrValues = Array("SoftArtisans", "WordWriter", "http://www.softartisans.com")
	arrNames = Array("CompanyName", "ProductName", "URL")
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")
	oWW.Open(Server.MapPath("./Template.doc"))
	oWW.SetDataSource arrValues, arrNames
	oWW.Process
	oWW.Save Response
	Set oWW = Nothing</code></pre>
<p><a href="#top">Top</a></p><hr>
<h4><a name="response2"></a>Save(response, attachmentName, openInBrowser)</h4>
<h6>Syntax:</h6>
<div class=indent>
<tt>Sub WordTemplate.<code><b>Save</b></code>(response As ASP Response,_<br> 
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;attachmentName As String,_<br> 
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;OpenInBrowser As Boolean)</tt>
</div>
<h6>Description:</h6>
<div class=indent>
<p>If you pass <code>Save</code> the ASP response object, WordWriter will 
stream the generated file to the client.  This method allows you to specify a 
default client-side file name, and whether the file should be opened in the browser 
window or in Microsoft Word.</p>
</div>
<h6>Parameters:</h6>
<ul>
	<li><tt><b>response</b></tt><br>
	The ASP response object.</li>
	<li><tt><b>attachmentName</b></tt><br>
	Specifies a name for the generated Word file; this name will be displayed in the 
	download dialog when the file is streamed to the browser.  </li>
	<li><tt><b>openInBrowser</b></tt><br>
	If <code>openInBrowser</code> is set to <tt>true</tt>, and the 
	user chooses to open the file, the file will open in the browser 
	window.  If <code>openInBrowser</code> is set to <tt>false</tt>, and the 
	user chooses to open the file, the file will open in Microsoft Word.  
	By default, the file will open in the browser window.  Note: not all 
	browsers can embed a Word file in the browser window.</li>
</ul>
<h6>Example:</h6>
<pre><code>	[VB]
	arrValues = Array("SoftArtisans", "WordWriter", "http://www.softartisans.com")
	arrNames = Array("CompanyName", "ProductName", "URL")
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")
	oWW.Open(Server.MapPath("./Template.doc"))
	oWW.SetDataSource arrValues, arrNames
	oWW.Process
	oWW.Save Response, "Output.doc", False 
	Set oWW = Nothing</code></pre>
<p><a href="#top">Top</a></p>
<!-- #include file="ref_link.inc" -->
<!-- #include file="../../include/footer.inc" -->