<!-- #include file="../../include/header.inc" -->
<!-- #include file="ref_link.inc" -->
<table width=95%>
<tr>
<td valign=top><strong><font color="005a9b">ASP Programmer's Reference</font></strong>
<h2>WordTemplate.SetCultureInfo Method</h2>
</td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<h6>Syntax:</h6>
<div class=indent>
<tt>Sub WordTemplate.<code><b>SetCultureInfo</b></code>(cultureInfo As String)</tt></div>
<h6>Description:</h6>
<div class=indent>
<p>The <code>SetCultureInfo</code> method allows you to override the server's default 
locale when generating a new Word file.  For example, to generate a US English document 
on a French operating system, you could use <code>SetCultureInfo</code> to set the 
Word file's locale to US English ("en-US").  For a list of culture name strings, see
<a target=new href="http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpref/html/frlrfsystemglobalizationcultureinfoclasstopic.asp">
CultureInfo Class</a><img src="<%=vroot%>images/weblink.gif">.</p>
</div>
<h6>Parameter:</h6>
<ul>
	<li><tt><b>cultureInfo</b></tt><br>
	<code>SetCultureInfo</code> takes a culture name string that includes a language and 
	country (for example "fr-BE" for French-Belgium).  For a list of culture name strings, see
	<a target=new href="http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpref/html/frlrfsystemglobalizationcultureinfoclasstopic.asp">
	CultureInfo Class</a><img src="<%=vroot%>images/weblink.gif">.</li>
</ul>
<h6>Example:</h6>
<pre><code>	[VB]
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")	
	'--- Set the Word file's locale to US English.
	oWW.SetCultureInfo "en-US"
	oWW.Open(Server.MapPath("./Template.doc"))
	oWW.SetDataSource arrValues, arrNames
	oWW.Process
	oWW.Save Response, "Output.doc", False 
	Set oWW = Nothing</code></pre>
<!-- #include file="ref_link.inc" -->
<!-- #include file="../../include/footer.inc" -->











