<!-- #include file="../../include/header.inc" -->
<!-- #include file="ref_link.inc" -->
<table width=95% ID="Table1">
<tr>
<td valign=top><strong><font color="005a9b">ASP.NET Programmer's Reference</font></strong>
<h2>The WordTemplate Object</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<p>The <code>WordTemplate</code> object represents a WordWriter template.  A 
WordWriter template is a file created in Microsoft Word that contains 
merge fields.  </p>
<p>The <code>WordTemplate</code> object is in the SoftArtisans.WordWriter namespace. 
The object can be referenced as  
<code>SoftArtisans.WordWriter.WordTemplate</code>. To minimize typing and errors, use 
an <code>Import</code> directive to import the namespace to the aspx page, and reference 
the object as <code>WordTemplate</code>, without the namespace prefix.
If you are coding directly in the .aspx page, following the Page directive, 
include:</p>
<pre>	<code>&lt;%@ Import Namespace="SoftArtisans.WordWriter" %&gt;</code></pre>
<p>If you are coding in the "code behind" page (.aspx.vb or .aspx.cs), 
include an <code>Imports</code> or <code>Using</code> statement at 
the top of the "code behind" page:</p>
<pre>	In VB.NET: 	<code>Imports SoftArtisans.WordWriter</code></pre>	
<pre>	In C#:	 <code>using SoftArtisans.WordWriter</code></pre>	
<p>To create an instance of the WordTemplate object use:</p>
<pre>	In VB.NET:	<code>Dim oWW As New WordTemplate()</code></pre>
<pre>	In C#:<code>WordTemplate oWW = new WordTemplate();</code></pre>


<table class="table2">
<tr>
	<th colspan=2>WordTemplate Methods</th>
</tr>
<tr>
	<th><a href="open.asp">Open</a></th>
	<td><a name="Open"></a><p>The <code>Open</code> method opens a WordWriter Template.</p></td>
</tr>
<tr>
	<th><a href="setcultureinfo.asp">SetCultureInfo</a></th>
	<td>The <code>SetCultureInfo</code> method allows you to override the server's default 
	locale when generating a new Word file. </td>
</tr>
<tr>
	<th><a href="setDataSource.asp">SetDataSource</a></th>
	<td><a name="setDataSource"></a><p>The <code>SetDataSource</code> method sets a data 
	source to bind to the merge fields in a WordWriter template file. The data source may 
	be an ADO.NET DataSet or DataTable, or an array.</p></td>
</tr>
<tr>
	<th><a href="process.asp">Process</a></th>
	<td><a name="Process"></a><p>The <code>Process</code> method enters data source values 
	in a template's merge fields </p></td>
</tr>
<tr>
	<th><a href="save.asp">Save</a></th>
	<td><a name="save"></a><p>The <code>Save</code> either saves the generated Word file 
	on the server or streams it to the browser. </p></td>
</tr>
</table>

<!-- #include file="ref_link.inc" -->
<!-- #include file="../../include/footer.inc" -->
