<%@ Page Language="C#" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
/*
*	SoftArtisans WordWriter.NET ArrayVars Sample (C#)
*	-------------------------------------------------
*
*	This sample demonstrates how to use a one-dimesional array	
*	with multiple values as a datasource.
*
*	Copyright (c) 2003 SoftArtisans, Inc.
*	Mail: info@softartisans.com   http://www.softartisans.com
*
*/


	private void Page_Load(object sender, EventArgs args)
	{
	
		
		//--- The array of values should be of type object[]
		//--- these values are what will be populated into mergefields in the 
		//--- template document
		object[] arrValue = {"SoftArtisans", "WordWriter", "http://www.softartisans.com"};
		
		//--- The array of names should be of type string[]
		//--- the array indices of the name array should correspond
		//--- to the indices of the value array
		string[] arrName = {"CompanyName", "ProductName", "URL"};

		//--- Declare the WordWriter.WordTemplate object and intialize it as null
		WordTemplate oWW = null;

		try
		{
			//--- Instantiate the WordTemplate object
			oWW = new WordTemplate();

			//--- Call Open() to open the template file
			oWW.Open(Server.MapPath("./ArrayVarsTemplate.doc"));

			//--- Set the data source of the document by passing
			//--- the value array and the name array that we initialized above
			oWW.SetDataSource(arrValue, arrName);

			//--- Call WordTemplate.Process() to populate the template with the new data
			oWW.Process();

			//--- After processing the template, call WordTemplate.Save() and pass Page.Response to stream
			//--- The second argument is the file name that will appear in the SaveAs dialog
			//--- The third argument is "open inline".  Here it's false, so it will open in a new
			//--- Microsoft Word instance instead of in the browser
			oWW.Save(Page.Response, "ArrayVarsOutput.doc", false);

		}
		catch(System.Exception ex)
		{
			//--- Alert the user if there's any exception
			Response.ClearHeaders();
			Response.Write("An exception has occurred: " + ex.Message.ToString());
			Response.End();
		}
			
	}



</script>
