<%@ Page Language="C#" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<script runat="server">
/*
*	SoftArtisans WordWriter.NET DataSet Sample (C#)
*	-----------------------------------------------
*
*	This sample demonstrates how to use a System.Data.DataSet
*	object as the template data source
*
*	Copyright (c) 2003 SoftArtisans, Inc.
*	Mail: info@softartisans.com   http://www.softartisans.com
*
*/

	private void Page_Load(object sender, EventArgs args)
	{
	
		//--- Define the connection string we'll use to connect to the Access database
		string strConnString = "Provider=Microsoft.Jet.OLEDB.4.0;Data source=" +
							Server.MapPath("../../Database/northwind.mdb");


		//--- SQL statement used to query the database
		//--- SELECT the first row from the database
		string strSQL = "SELECT TOP 1 TitleOfCourtesy, FirstName, LastName, Title FROM Employees";
				
		//--- Define and initialize objects
		WordTemplate oWW = null;
		OleDbConnection oConn = null;
		OleDbDataAdapter oAdpt = null;
		DataSet oDS = null;

		try
		{
			//--- Instantiate and open an OleDbConnection, passing the connection string
			oConn = new OleDbConnection(strConnString);
			oConn.Open();

			//--- Instantiate an OleDbDataAdapter
			oAdpt = new OleDbDataAdapter(strSQL, oConn);

			//--- Instantiate and populate DataSet
			oDS = new DataSet();
			oAdpt.Fill(oDS);

			//--- Instantiate the WordWriter.WordTemplate object
			oWW = new WordTemplate();

			//--- Call Open() to open the template file
			oWW.Open(Server.MapPath("./DataSetTemplate.doc"));

			//--- Pass the DataSet object to SetDataSource()
			oWW.SetDataSource(oDS);
			
			//--- Call WordTemplate.Process() to populate the template with the new data
			oWW.Process();

			//--- After processing the template, call WordTemplate.Save() and pass Page.Response to stream
			//--- The second argument is the file name that will appear in the SaveAs dialog
			//--- The third argument is "open inline".  Here it's false, so it will open in a new
			//--- Microsoft Word instance instead of in the browser
			oWW.Save(Page.Response, "DataSetOutput.doc", false);
		
		}
		catch(OleDbException ex)
		{
			//--- Catch any database-related exceptions and display a message to the user
			Response.ClearHeaders();
			Response.Write("A database exception has occurred: " + ex.Message.ToString());
			return;
		}
		catch(System.Exception ex)
		{
			//--- Catch any generic exceptions and display a message to the user
			Response.ClearHeaders();
			Response.Write("An exception has occurred: " + ex.Message.ToString());
			return;
		}
		finally
		{
			//--- Close the OleDbConnection we established earlier to the Access database
			if(oConn != null)
				oConn.Close();
		}
			
	}



</script>
