<%@ Page Language="VB" Explicit="True" Strict="True" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<script runat="server">
'
'	SoftArtisans WordWriter.NET DataSet Sample (VB.NET)
'	---------------------------------------------------
'
'	This sample demonstrates how to use a System.Data.DataSet
'	object as the template data source
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	Private Sub Page_Load(sender As object, args As EventArgs)
	
	
		'--- Define the connection string we'll use to connect to the Access database
		Dim strConnString As String = "Provider=Microsoft.Jet.OLEDB.4.0;Data source=" + _
								Server.MapPath("../../Database/northwind.mdb")

		'--- SQL statement used to query the database
		'--- SELECT the first row from the database
		Dim strSQL As String = "SELECT TOP 1 TitleOfCourtesy, FirstName, LastName, Title FROM Employees"
				
		'--- Declare and initialize objects
		Dim oWW As WordTemplate = Nothing
		Dim oConn As OleDbConnection = Nothing
		Dim oAdpt As OleDbDataAdapter = Nothing
		Dim oDS As DataSet = Nothing

		Try
		
			'--- Instantiate and open an OleDbConnection, passing the connection string
			oConn = New OleDbConnection(strConnString)
			oConn.Open()

			'--- Instantiate an OleDbDataAdapter
			oAdpt = New OleDbDataAdapter(strSQL, oConn)

			'--- Instantiate and populate DataSet
			oDS = New DataSet()
			oAdpt.Fill(oDS)

			'--- Instantiate the WordWriter.WordTemplate object
			oWW = New WordTemplate()

			'--- Call Open() to open the template file
			oWW.Open(Server.MapPath("./DataSetTemplate.doc"))

			'--- Pass the DataSet object to SetDataSource()
			oWW.SetDataSource(oDS)
		
			'--- Call WordTemplate.Process() to populate the template with the new data
			oWW.Process()

			'--- After processing the template, call WordTemplate.Save() and pass Page.Response to stream
			'--- The second argument is the file name that will appear in the SaveAs dialog
			'--- The third argument is "open inline".  Here it's false, so it will open in a new
			'--- Microsoft Word instance instead of in the browser
			oWW.Save(Page.Response, "DataSetOutput.doc", False)
		
		
		Catch ex As OleDbException
		
			'--- Catch any database-related exceptions and display a message to the user
			Response.ClearHeaders()
			Response.Write("A database exception has occurred: " + ex.Message.ToString())
			Response.End()
		Catch ex As System.Exception
		
			'--- Catch any generic exceptions and display a message to the user
			Response.ClearHeaders()
			Response.Write("An exception has occurred: " + ex.Message.ToString())
			Response.End()
		
		Finally
		
			'--- Close the OleDbConnection we established earlier to the Access database
			If Not oConn Is Nothing Then
				oConn.Close()
			End If
			
		End Try
	End Sub



</script>
