<%@ Page Language="VB" Explicit="True" Strict="True" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
'
'	SoftArtisans WordWriter.NET DataSourceUpdate Sample (VB.NET)
'	------------------------------------------------------------
'
'	You can call Process() and Save() multiple times on the same
'	WordTemplate instance to generate multiple documents with 
'	different data.
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	Private Sub Page_Load(sender As Object, args As EventArgs)
	
	
		
		'--- The array of values should be of type object[]
		'--- these values are what will be populated into mergefields in the 
		'--- template document
		Dim arrValue As Object() = {"SoftArtisans", "WordWriter", "http://www.softartisans.com"}
		
		'--- The array of names should be of type string[]
		'--- the array indices of the name array should correspond
		'--- to the indices of the value array
		Dim arrName As String() = {"CompanyName", "ProductName", "URL"}

		'--- Declare the WordWriter.WordTemplate object and intialize it as null
		Dim oWW As WordTemplate = Nothing

		Try
		
			'--- Instantiate the WordTemplate object
			oWW = New WordTemplate()

			'--- Call Open() to open the template file
			oWW.Open(Server.MapPath("./DataSourceUpdateTemplate.doc"))

			'--- Set the data source of the document by passing
			'--- the value array and the name array that we initialized above
			oWW.SetDataSource(arrValue, arrName)

			'--- Call WordTemplate.Process() to populate the template with the data
			oWW.Process()

			'--- After calling Process(), pass the Save method a string filename to save to disk
			oWW.Save(Server.MapPath("./DataSourceUpdateOutput-1.doc"))

			'--- Now, update the data source by adjusting the elements of the arrValues array
			arrValue(0) = "SoftArtisans, Inc."
			arrValue(1) = "WordWriter.WordTemplate"
			arrValue(2) = "www.softartisans.com"

			'--- Call Process() again to populate the currently opened template with the new data source
			oWW.Process()

			'--- Save the updated document
			oWW.Save(Server.MapPath("./DataSourceUpdateOutput-2.doc"))

		
		Catch ex As System.Exception
		
			'--- Alert the user if there's any exception
			Response.ClearHeaders()
			lblResult.Text = "An exception has occurred: " + ex.Message.ToString()
			Return
		
		End Try
			
	
		lblResult.Text = "Both documents have been saved to: " + Server.MapPath(".")
	
	End Sub



</script>
<html>
<head>
<title>SoftArtisans WordWriter</title>
</head>
<img src="../../images/wordwriter.jpg" alt="SoftArtisans.WordWriter">
<BR><BR>
<body>
<asp:label runat="server" id="lblResult" />
</body>
</html>

