<%@ Page Language="VB" Explicit="True" Strict="True" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
'
'	SoftArtisans WordWriter.NET MixedVars Sample (VB.NET)
'	-----------------------------------------------------
'
'	Demonstrates how to use an Object() array of different
'	non-string types as a data source
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	Private Sub Page_Load(sender As Object, args As EventArgs)
	
	
		'--- Since the value array is of type Object(), any .NET type
		'--- derived from Object can be stored within
		'--- This value array contains a string, an integer, and a DataTime struct
		Dim arrValue As Object() = {"A string value", 1234, New DateTime(2003, 1, 1)}
		
		'--- The array of names should be of type String()
		'--- the array indices of the name array should correspond
		'--- to the indices of the value array
		Dim arrName As String() = {"StringVariable", "IntegerValue", "DateTimeObject"}

		
		'--- Declare the WordWriter.WordTemplate object and intialize it as Nothing
		Dim oWW As WordTemplate = Nothing

		Try
		
			'--- Instantiate the WordWriter.WordTemplate object
			oWW = New WordTemplate()

			'--- Call Open() to open the template file
			oWW.Open(Server.MapPath("./MixedVarsTemplate.doc"))

			'--- Set the data source of the document by passing
			'--- the value array and the name array that we initialized above
			oWW.SetDataSource(arrValue, arrName)
			
			'--- Call WordTemplate.Process() to populate the template with the new data
			oWW.Process()

			'--- After processing the template, call WordTemplate.Save() and pass Page.Response to stream
			'--- The second argument is the file name that will appear in the SaveAs dialog
			'--- The third argument is "open inline".  Here it's false, so it will open in a new
			'--- Microsoft Word instance instead of in the browser
			oWW.Save(Page.Response, "MixedVarsOutput.doc", False)
		
		
		Catch ex As System.Exception
		
			'--- Alert the user if there's any exception
			Response.ClearHeaders()
			Response.Write("An exception has occurred: " + ex.Message.ToString())
			Return
		
		End Try

	End Sub
	



</script>
