<%@ Page Language="VB" Explicit="True" Strict="True" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
'
'	SoftArtisans WordWriter.NET OpenInline Sample (VB.NET)
'	------------------------------------------------------
'
'	Demonstrates how to stream a template and open it inline
'	instead of as an attachment
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	Private Sub Page_Load(sender As Object, args As EventArgs)
	
	
		
		'--- The array of values should be of type Object()
		'--- these values are what will be populated into mergefields in the 
		'--- template document
		Dim arrValue As Object()= {"SoftArtisans", "WordWriter", "http://www.softartisans.com"}
		
		'--- The array of names should be of type String()
		'--- the array indices of the name array should correspond
		'--- to the indices of the value array
		Dim arrName As String() = {"CompanyName", "ProductName", "URL"}

		'--- Declare the WordWriter.WordTemplate object and intialize it as Nothing
		Dim oWW As WordTemplate = Nothing

		Try
		
			'--- Instantiate the WordWriter.WordTemplate object
			oWW = New WordTemplate()

			'--- Call Open() to open the template file
			oWW.Open(Server.MapPath("./OpenInlineTemplate.doc"))

			'--- Set the data source of the document by passing
			'--- the value array and the name array that we initialized above
			oWW.SetDataSource(arrValue, arrName)

			'--- Call WordTemplate.Process() to populate the template with the new data
			oWW.Process()

			'--- After processing the template, call WordTemplate.Save() and pass Page.Response to stream
			'--- The second argument is the file name that will appear in the SaveAs dialog
			'--- The third argument is "open inline".  Here it's true, so it will open in the browser 
			oWW.Save(Page.Response, "OpenInlineOutput.doc", True)
		
		
		Catch ex As System.Exception
		
			'--- Alert the user if there's any exception
			Response.ClearHeaders()
			Response.Write("An exception has occurred: " + ex.Message.ToString())
			Return
		
		End Try

	End Sub
	



</script>
