<%@ Page Language="VB" Explicit="True" Strict="True" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
'
'	SoftArtisans WordWriter.NET SaveMultiple Sample (VB.NET)
'	--------------------------------------------------------
'
'	You can call the Save() method more than once to save a
'	generated document to more than one location.
'
'	This sample shows how to save a copy of the document to the disk
'	and stream to a browser in one script.
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	Private Sub Page_Load(sender As Object, args As EventArgs)
		
		'--- The array of values should be of type Object()
		'--- these values are what will be populated into mergefields in the 
		'--- template document
		Dim arrValue As Object() = {"SoftArtisans", "WordWriter", "http://www.softartisans.com"}
		
		'--- The array of names should be of type String()
		'--- the array indices of the name array should correspond
		'--- to the indices of the value array
		Dim arrName As String() = {"CompanyName", "ProductName", "URL"}

		'--- Declare the WordWriter.WordTemplate object and intialize it as Nothing
		Dim oWW As WordTemplate = Nothing

		Try
		
			'--- Instantiate the WordWriter.WordTemplate object
			oWW = New WordTemplate()

			'--- Call open() to open the template file
			oWW.Open(Server.MapPath("./SaveMultipleTemplate.doc"))

			'--- Set the data source of the document by passing
			'--- the value array and the name array that we initialized above
			oWW.SetDataSource(arrValue, arrName)

			'--- Call WordTemplate.Process() to populate the template with the new data
			oWW.Process()

			'--- After processing the document, call Save() twice.  
			'--- First, pass a file path string to save to the disk
			oWW.Save(Server.MapPath("./SaveMultipleOutput.doc"))
			
			'--- Then, call WordTemplate.Save() again and pass Page.Response to stream
			'--- The second argument is the file name that will appear in the SaveAs dialog
			'--- The third argument is "open inline".  Here it's false, so it will open in a new
			'--- Microsoft Word instance instead of in the browser
			oWW.Save(Page.Response, "SaveMultipleOutput.doc", False)
		
		
		Catch ex As System.Exception
		
			'--- Alert the user if there's any exception
			Response.ClearHeaders()
			Response.Write("An exception has occurred: " + ex.Message.ToString())
			Return
		
		End Try
			
	End Sub



</script>
