<%@ Page Language="C#" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
/*
*	SoftArtisans WordWriter.NET SaveToDisk Sample (C#)
*	--------------------------------------------------
*
*	By passing a string file path to the WordWriter.Save()
*	method, you can save generated documents to the disk instead
*	of streaming to the client
*
*	Copyright (c) 2003 SoftArtisans, Inc.
*	Mail: info@softartisans.com   http://www.softartisans.com
*
*/

	private void Page_Load(object sender, EventArgs args)
	{
	
		
		//--- The array of values should be of type object[]
		//--- these values are what will be populated into mergefields in the 
		//--- template document
		object[] arrValue = {"SoftArtisans", "WordWriter", "http://www.softartisans.com"};
		
		//--- The array of names should be of type string[]
		//--- the array indices of the name array should correspond
		//--- to the indices of the value array
		string[] arrName = {"CompanyName", "ProductName", "URL"};

		//--- Declare the WordWriter.WordTemplate object and intialize it as null
		WordTemplate oWW = null;

		try
		{
			//--- Instantiate the WordWriter.WordTemplate object
			oWW = new WordTemplate();

			//--- Call Open() to open the template file
			oWW.Open(Server.MapPath("./SaveToDiskTemplate.doc"));

			//--- Set the data source of the document by passing
			//--- the value array and the name array that we initialized above
			oWW.SetDataSource(arrValue, arrName);

			//--- Call WordTemplate.Process() to populate the template with the new data
			oWW.Process();

			//--- Pass a string file path to the WordTemplate.Save() method to save
			//--- the document to the disk instead of streaming
			oWW.Save(Server.MapPath("./SaveToDiskOutput.doc"));
		
		}
		catch(System.Exception ex)
		{
			//--- Alert the user if there's any exception
			lblResult.Text = "An exception has occurred: " + ex.Message.ToString();
			return;
		}
			
		//--- Display the full path to the generated document
		lblResult.Text = @"Your document was successfully saved as " + Server.MapPath("./SaveToDiskOutput.doc");

	}



</script>
<html>
<head>
<title>SoftArtisans WordWriter</title>
</head>
<img src="../../images/wordwriter.jpg" alt="SoftArtisans.WordWriter">
<BR><BR>
<body>
<asp:label runat="server" id="lblResult" />
</body>
</html>