<%@ Page Language="VB" Explicit="True" Strict="True" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
'
'	SoftArtisans WordWriter.NET SaveToDisk Sample (VB.NET)
'	------------------------------------------------------
'
'	By passing a string file path to the WordWriter.Save()
'	method, you can save generated documents to the disk instead
'	of streaming to the client
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	Private Sub Page_Load(sender As Object, args As EventArgs)
	
	
		
		'--- The array of values should be of type Object()
		'--- these values are what will be populated into mergefields in the 
		'--- template document
		Dim arrValue As Object()= {"SoftArtisans", "WordWriter", "http://www.softartisans.com"}
		
		'--- The array of names should be of type String()
		'--- the array indices of the name array should correspond
		'--- to the indices of the value array
		Dim arrName As String() = {"CompanyName", "ProductName", "URL"}

		'--- Declare the WordWriter.WordTemplate object and intialize it as Nothing
		Dim oWW As WordTemplate = Nothing

		Try
		
			'--- Instantiate the WordWriter.WordTemplate object
			oWW = New WordTemplate()

			'--- Call Open() to open the template file
			oWW.Open(Server.MapPath("./SaveToDiskTemplate.doc"))

			'--- Set the data source of the document by passing
			'--- the value array and the name array that we initialized above
			oWW.SetDataSource(arrValue, arrName)

			'--- Call WordTemplate.Process() to populate the template with the new data
			oWW.Process()

			'--- Pass a string file path to the WordTemplate.Save() method to save
			'--- the document to the disk instead of streaming
			oWW.Save(Server.MapPath("./SaveToDiskOutput.doc"))
		
		
		Catch ex As System.Exception
		
			'--- Alert the user if there's any exception
			lblResult.Text = "An exception has occurred: " + ex.Message.ToString()
			Return
		
		End Try
		
		'--- Display the full path to the generated document
		lblResult.Text = "Your document was successfully saved as " + Server.MapPath("./SaveToDiskOutput.doc")

	End Sub



</script>
<html>
<head>
<title>SoftArtisans WordWriter</title>
</head>
<img src="../../images/wordwriter.jpg" alt="SoftArtisans.WordWriter">
<BR><BR>
<body>
<asp:label runat="server" id="lblResult" />
</body>
</html>