<%@ Page Language="VB" Explicit="True" Strict="True" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>
<%@ Import Namespace="System.IO" %>

<script runat="server">
'
'	SoftArtisans WordWriter.NET StreamIO Sample (VB.NET)
'	----------------------------------------------------
'
'	Both the WordWriter.Open() and WordWriter.Save() methods
'	can take System.IO.Stream objects as arguments.
'	
'	You can open a file with a Stream object and pass
'	it to those methods instead of just string file paths
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	Private Sub Page_Load(sender As Object, args As EventArgs)
	
	
		'--- The array of values should be of type Object()
		'--- these values are what will be populated into mergefields in the 
		'--- template document
		Dim arrValue As Object() = {"SoftArtisans", "WordWriter", "http://www.softartisans.com"}
		
		'--- The array of names should be of type String()
		'--- the array indices of the name array should correspond
		'--- to the indices of the value array
		Dim arrName As String() = {"CompanyName", "ProductName", "URL"}


		'--- Declare and initialize some objects
		Dim oWW As WordTemplate = Nothing
		Dim oTemplateFileStream As FileStream = Nothing
		Dim oOutputFileStream As FileStream = Nothing
		
		Try
		
			
			'--- Open both the input file and output file as FileStream objects
			oTemplateFileStream = New FileStream(Server.MapPath("./StreamIOTemplate.doc"), FileMode.Open)
			oOutputFileStream = New FileStream(Server.MapPath("./StreamIOOutput.doc"), FileMode.Create)

			'--- Instantiate WordWriter.WordTemplate
			oWW = New WordTemplate()

			'--- Pass the FileStream for the template file to Open()
			oWW.Open(oTemplateFileStream)

			'--- Set the data source of the document by passing
			'--- the value array and the name array that we initialized above
			oWW.SetDataSource(arrValue, arrName)

			'--- Call WordTemplate.Process() to populate the template with the new data
			oWW.Process()

			'--- Pass the FileStream for the output file to WordTemplate.Save()
			oWW.Save(oOutputFileStream)
					
		
		Catch ex As System.IO.FileNotFoundException
		
			'--- If an exception is caught, display a message to the user
			lblResult.Text = "Your template file or output directory cannot be found: " + ex.Message.ToString()
			Return
		
		Catch ex As System.Exception
		
			lblResult.Text = "An exception has occurred: " + ex.Message.ToString()
			Return
		
		Finally
					
			'--- Close all FileStream objects explicitly
			If Not oTemplateFileStream Is Nothing Then
				oTemplateFileStream.Close()
			End If

			If Not oOutputFileStream Is Nothing Then
				oOutputFileStream.Close()
			End If
		
		End Try

		'--- If successful, display a message to the user
		lblResult.Text = "Your document was successfully saved as " + Server.MapPath("./StreamIOOutput.doc")
	
	End Sub



</script>
<html>
<head>
<title>SoftArtisans WordWriter</title>
</head>
<body>
<img src="../../images/wordwriter.jpg" alt="SoftArtisans WordWriter">
<BR><BR>
<div align="center">
<asp:label runat="server" visible="true" id="lblResult" />
</div>
</body>
</html>