<%@ Page Language="C#" Debug="True" Trace="False" EnableSessionState="False" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
/*
*	SoftArtisans WordWriter.NET Envelope Sample (C#)
*	------------------------------------------------
*
*	This sample demonstrates how to use WordWriter.NET to create
*	an envelope.
*
*	All envelope recipient and return address information is obtained
*	from the web form, and populated into the template envelope by
*	WordWriter.
*/

	//--- This method is invoked when the submit button is clicked
	private void btnSubmit_Click(object sender, EventArgs args)
	{
		this.lblResult.Text = "";
		this.ProcessForm();
	}

	//--- This method reads all entered form information
	//--- and invokes WordWriter to populate the template file
	private void ProcessForm()
	{
		
		//--- Declare the WordWriter.WordTemplate object
		WordTemplate oWW = null;

		//--- Define the full path to the template file
		string strTemplatePath = Server.MapPath("./Envelope10Template.doc");

		//--- Form the required WordWriter name array.  The elements in this array correspond to the names of the
		//--- merge fields in the template, and each element's array index should correpond to an element in the
		//--- value array
		string[] arrNames = {"RtnName", "RtnStreet", "RtnCityStateZip", "RcpName", "RcpStreet", "RcpCityStateZip"};
		
		//--- The value array.  The value of the elements in this array contain info supplied in the web form.
		//--- These values represent the data that will be dynamically populated in the template file
		object[] arrValues = new object[6];
		arrValues[0] = txtRtnAddrName.Value;
		arrValues[1] = txtRtnAddrStreet.Value;
		arrValues[2] = txtRtnAddrCityStateZip.Value;
		arrValues[3] = txtRcpAddrName.Value;
		arrValues[4] = txtRcpAddrStreet.Value;
		arrValues[5] = txtRcpAddrCityStateZip.Value;

		try
		{
			//--- Instantiate the WordWriter.WordTemplate object
			oWW = new WordTemplate();

			//--- Open the template file
			oWW.Open(strTemplatePath);

			//--- Set the datasource with the name and value arrays defined above
			oWW.SetDataSource(arrValues, arrNames);

			//--- Process the template
			oWW.Process();

			//--- Begin streaming the processed template
			oWW.Save(Page.Response, "EnvelopeOutput.doc", false);
			Response.Flush();
			Response.End();
		}
		catch(System.Exception ex)
		{
			//--- Catch any exceptions thrown by WordWriter
			Response.ClearHeaders();
			lblResult.Text = "<B>Error</B><BR>WordWriter could not process your document.<BR>" + ex.Message;
			return;
		}
		
		
	}

</script>

<html>
<head>
<title>SoftArtisans WordWriter</title>
</head>
<body>
<IMG SRC="../../images/wordwriter.jpg" alt="SoftArtisans.WordWriter">
<BR><BR>
<H2><FONT FACE="Arial">Envelope Generator</FONT></H2>
<TABLE BORDER=0>
<FORM RUNAT="server">
<TR colspan=3><EM>Return Address</EM></TD></TR>
<TR><TD>Name</TD><TD><input type="text" runat="server" id="txtRtnAddrName"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtRtnAddrName"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/></TD>
</TR>
<TR><TD>Street</TD><TD><input type="text" runat="server" id="txtRtnAddrStreet"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtRtnAddrStreet"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/></TD>
</TR>
<TR><TD>City/State/Zip</TD><TD><input type="text" runat="server" id="txtRtnAddrCityStateZip"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtRtnAddrCityStateZip"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/></TD>
</TR>
<TR>
<TD colspan=3><EM>Recipient Address</EM></TD>
</TR>
<TR><TD>Name</TD><TD><input type="text" runat="server" id="txtRcpAddrName"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtRcpAddrName"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/></TD>
</TR>
<TR><TD>Street</TD><TD><input type="text" runat="server" id="txtRcpAddrStreet"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtRcpAddrStreet"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/></TD>
</TR>
<TR><TD>City/State/Zip</TD><TD><input type="text" runat="server" id="txtRcpAddrCityStateZip"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtRcpAddrCityStateZip"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/></TD>
</TR>


<TR><TD ALIGN=center COLSPAN=3><input type="button" value="Generate #10 Business Envelope" id="btnSubmit" runat="server" OnServerClick="btnSubmit_Click">
</FORM>
</TABLE>
<div align="center">
<asp:label visible="true" style="color:red" runat="server" id="lblResult" />
</div>
</body>
</html>