<%@ Page Language="VB" Explicit="True" Strict="True" Debug="True" EnableSessionState="False" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
'
'	SoftArtisans WordWriter.NET FormLetter Sample (VB.NET)
'	------------------------------------------------------
'
'	This sample demonstrates how to use WordWriter.NET to create
'	a dynamic form letter.  
'
'	All letter recipient and author information is dynamically obtained
'	from the web form, and populated into the template document by
'	WordWriter.
'


	'--- This method is invoked when the submit button is clicked
	Private Sub btnSubmit_Click(sender As Object, args As EventArgs)
	
		Me.ProcessForm()

	End Sub
	

	'--- This method reads all entered form information
	'--- and invokes WordWriter to populate the template file
	Private Sub ProcessForm()
	
	
		'--- Declare the WordWriter.WordTemplate object
		Dim oWW As WordTemplate = Nothing

		'--- Define the full path to the template file
		Dim strTemplatePath As String = Server.MapPath("./FormLetterTemplate.doc")

		'--- Copy values from the form into local String variables
		Dim recipName As String = Me.txtRecipientName.Value
		Dim recipStreetAddr As String = Me.txtRecipientStreetAddr.Value
		Dim recipCity As String = Me.txtRecipientCity.Value
		Dim recipState As String = Me.txtRecipientState.Value
		Dim recipZip As String = Me.txtRecipientZip.Value
		Dim authName As String = Me.txtAuthorName.Value
		Dim authTitle As String = Me.txtAuthorTitle.Value

		'--- Form the required WordWriter name array.  The elements in this array correspond to the names of the
		'--- merge fields in the template, and each element's array index should correpond to an element in the
		'--- value array
		Dim arrNames As String() = {"RecipientName", "RecipientStreetAddr", "RecipientCity", "RecipientState", _
						"RecipientZip", "AuthorName", "AuthorTitle"}
		
		'--- The value array.  The value of the elements in this array contain info supplied in the web form.
		'--- These values represent the data that will be dynamically populated in the template file
		Dim arrValues As Object() = {recipName, recipStreetAddr, recipCity, recipState, recipZip, authName, authTitle}
		
		Try
		
			'--- Instantiate the WordWriter.WordTemplate object
			oWW = New WordTemplate()
		
			'--- Open the template file
			oWW.Open(strTemplatePath)
		
			'--- Set the datasource with the name and value arrays defined above
			oWW.SetDataSource(arrValues, arrNames)
		
			'--- Process the template
			oWW.Process()

			'--- Begin streaming the processed template
			oWW.Save(Page.Response, "FormLetterOutput.doc", False)
			Response.Flush()
			Response.End()
		
		Catch ex As System.Exception
		
			'--- Catch any exceptions thrown by WordWriter
			Response.ClearHeaders()
			lblResult.Text = "<B>Error</B><BR>WordWriter could not process your document.<BR>" + ex.Message
			Return
		
		End Try
		
	End Sub
	

</script>

<html>
<head>
<title>SoftArtisans WordWriter</title>
</head>
<body>
<IMG SRC="../../images/wordwriter.jpg" alt="SoftArtisans.WordWriter">
<BR><BR>
<H2><FONT FACE="Arial">Form Letter Generator</FONT></H2>
<TABLE BORDER=0>
<FORM RUNAT="server">
<TR><TD COLSPAN=2><B>Recipient information</B></TD></TR>
<TR><TD>Name</TD><TD><input type="text" runat="server" id="txtRecipientName"></TD>
<TD><asp:RequiredFieldValidator
                    ControlToValidate="txtRecipientName"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/>
</TD>
</TR>
<TR><TD>Street address</TD><TD><input type="text" runat="server" id="txtRecipientStreetAddr"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtRecipientStreetAddr"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/>
</TD>
</TR>
<TR><TD>City</TD><TD><input type="text" runat="server" id="txtRecipientCity"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtRecipientCity"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/>
</TD>
</TR>
<TR><TD>State</TD><TD><input type="text" runat="server" id="txtRecipientState"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtRecipientState"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/>
</TD>
</TR>
<TR><TD>Zip</TD><TD><input type="text" runat="server" id="txtRecipientZip"></TD>
<TD><asp:RequiredFieldValidator
                    ControlToValidate="txtRecipientZip"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/>
</TD>
</TR>
<TR><TD COLSPAN=2><B>Author information</B></TD></TR>
<TR><TD>Name</TD><TD><input type="text" runat="server" id="txtAuthorName"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtAuthorName"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/>
</TD>
</TR>
<TR><TD>Title</TD><TD><input type="text" runat="server" id="txtAuthorTitle"></TD>
<TD><asp:RequiredFieldValidator 
                    ControlToValidate="txtAuthorTitle"
                    Display="Static"
                    ErrorMessage="*"
                    runat="server"/>
</TD>
</TR>
<TR><TD ALIGN=center COLSPAN=2><input type="button" value="Generate Document" id="btnSubmit" runat="server" OnServerClick="btnSubmit_Click">
</FORM>
</TABLE>
<div align="center">
<asp:label visible="true" style="color:red" runat="server" id="lblResult" />
</div>
</body>
</html>