<%@ Page Language="C#" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
/*
*	SoftArtisans WordWriter.NET Formatting Sample (C#)
*	--------------------------------------------------
*
*	Behavior of Microsoft Word MergeFields can be modified with
*	specialized formatting codes.  See the template file FormattingTemplate.doc
*	to see these codes.
*
*	Note:  The calculated field in the template requires a macro so that
*			the data is updated when the document is opened.  Please allow
*			the macro to run.  View the macro code by pressing Alt-F11.
*
*
*	Copyright (c) 2003 SoftArtisans, Inc.
*	Mail: info@softartisans.com   http://www.softartisans.com
*
*/

	private void Page_Load(object sender, EventArgs args)
	{
	
		//--- These variables will be used as data sources in the template
		DateTime oDateTime = DateTime.Now;
		
		double currency = 1.5;
		int calcData1 = 1;
		int calcData2 = 2;

		
		//--- Since the value array is of type object[], any .NET type
		//--- derived from Object can be stored within
		//--- This value array contains a string, an integer, and a DataTime struct
		object[] arrValue = {oDateTime, oDateTime, oDateTime, 
						currency, currency, 
						calcData1, calcData2};
		
		//--- The array of names should be of type string[]
		//--- the array indices of the name array should correspond
		//--- to the indices of the value array
		string[] arrName = {"PlainDate", "FormattedDate1", "OtherDateFormat", 
						"CurrencyUnformatted", "CurrencyFormatted", 
						"CalcData1", "CalcData2"};

		
		//--- Declare the WordWriter object and intialize it as null
		WordTemplate oWW = null;

		//--- Create a CultureInfo object representing English/US
		System.Globalization.CultureInfo enUS = new System.Globalization.CultureInfo("en-US");

		try
		{
			//--- Instantiate the WordWriter object
			oWW = new WordTemplate();

			//--- Configure WordWriter to use the US/English culture
			oWW.SetCultureInfo(enUS);

			//--- Call Open() to open the template file
			oWW.Open(Server.MapPath("./FormattingTemplate.doc"));

			//--- Set the data source of the document by passing
			//--- the value array and the name array that we initialized above
			oWW.SetDataSource(arrValue, arrName);

			//--- Process the template
			oWW.Process();

			//--- Begin streaming the processed template
			oWW.Save(Page.Response, "FormattingOutput.doc", false);
			Response.Flush();
			Response.End();

		
		}
		catch(System.Exception ex)
		{
			//--- Alert the user if there's any exception
			Response.ClearHeaders();
			Response.Write("An exception has occurred: " + ex.ToString());
			return;
		}
			
	}



</script>
