<%@ Page Language="VB" Explicit="True" Strict="True" Debug="True" %>
<%@ Import Namespace="SoftArtisans.WordWriter" %>

<script runat="server">
'
'	SoftArtisans WordWriter.NET Formatting Sample (VB.NET)
'	------------------------------------------------------
'
'	Behavior of Microsoft Word MergeFields can be modified with
'	specialized formatting codes.  See the template file FormattingTemplate.doc
'	to see these codes.
'
'	Note:  The calculated field in the template requires a macro so that
'			the data is updated when the document is opened.  Please allow
'			the macro to run.  View the macro code by pressing Alt-F11.
'
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	Private Sub Page_Load(sender As Object, args As EventArgs)
	
	
		'--- These variables will be used as data sources in the template
		Dim oDateTime As DateTime = DateTime.Now
		
		Dim currency As Double = 1.5
		Dim calcData1 As Integer = 1
		Dim calcData2 As Integer = 2

		
		'--- Since the value array is of type Object(), any .NET type
		'--- derived from Object can be stored within
		'--- This value array contains a string, an integer, and a DataTime struct
		Dim arrValue As Object() = {oDateTime, oDateTime, oDateTime, _
							currency, currency, _
							calcData1, calcData2}
		
		'--- The array of names should be of type String()
		'--- the array indices of the name array should correspond
		'--- to the indices of the value array
		Dim arrName As String() = {"PlainDate", "FormattedDate1", "OtherDateFormat", _
							"CurrencyUnformatted", "CurrencyFormatted", _
							"CalcData1", "CalcData2"}

		'--- Declare the WordWriter object and intialize it as null
		Dim oWW As WordTemplate = Nothing

		'--- Create a CultureInfo object representing English/US
		Dim enUS As New System.Globalization.CultureInfo("en-US")
		
		Try
		
			'--- Instantiate the WordWriter object
			oWW = New WordTemplate()

			'--- Configure WordWriter to use the US/English culture
			oWW.SetCultureInfo(enUS)

			'--- Call Open() to open the template file
			oWW.Open(Server.MapPath("./FormattingTemplate.doc"))

			'--- Set the data source of the document by passing
			'--- the value array and the name array that we initialized above
			oWW.SetDataSource(arrValue, arrName)

			'--- Process the template
			oWW.Process()

			'--- Begin streaming the processed template
			oWW.Save(Page.Response, "FormattingOutput.doc", False)
			Response.Flush()
			Response.End()
		
		
		Catch ex As System.Exception
		
			'--- Alert the user if there's any exception
			Response.ClearHeaders()
			Response.Write("An exception has occurred: " + ex.ToString())
			Return
		
		End Try
			
	
	End Sub


</script>
