<!-- #include file="../include/header.inc" -->
<table width=95%>
<tr>
<td valign=top><h2>Index of ASP Samples</h2>
</td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>   
<ul>
	<li><a href="#basic">Basic Samples</a></li>
	<li><a href="#intermediate">Intermediate Samples</a></li>
</ul>
<hr>
<h2><a name="basic"></a>Basic Samples</h2>
<table class=table2>
<tr>
	<th>ArrayVars</th>
	<td>
	<p>This sample demonstrates how to use a one-dimensional array	
	with multiple values as a data source.</p>
	<%
	ShowExample ("ASP/Basic/ArrayVars/ArrayVars.asp")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Basic/ArrayVars/ArrayVarsTemplate.doc">View Template</a>]</div>
	</td>
</tr>
<tr>
	<th>DataSourceUpdate</th>
	<td><p>	You can call <code>Process</code> and <code>Save</code> multiple times 
	for the same instance of <code>WordTemplate</code>.
	The DataSourceUpdate sample generates two files with different data from 
	a single template. After the first file is created, the data source is updated, 
	and <code>Process</code> and <code>Save</code> are called a second time.</p>
	<%
	ShowExample ("ASP/Basic/DataSourceUpdate/DataSourceUpdate.asp")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Basic/DataSourceUpdate/DataSourceUpdateTemplate.doc">View Template</a>]</div>
	</td>
</tr>
<tr>
	<th>OpenInline</th>
	<td><p>WordWriter allows you save the generated Word file 
	on the server, or stream it to the client.  The following 
	sample streams the generated file to the client with the 
	file's content-disposition set to "inline."  If the user 
	chooses to open (rather than save) the file, it will open 
	within the browser window.</p>
	<%
	ShowExample ("ASP/Basic/OpenInline/OpenInline.asp")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Basic/OpenInline/OpenInlineTemplate.doc">View Template</a>]</div>
</tr>
<tr>
	<th>RecordSet</th>
	<td><p>The RecordSet sample demonstrates how to use an ADO RecordSet
	as a template data source.</p>
	<%
	ShowExample ("ASP/Basic/RecordSet/RecordSet.asp")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Basic/RecordSet/RecordSetTemplate.doc">View Template</a>]</div>
	</td>
</tr>
<tr>
	<th>SaveMultiple</th>
	<td><p>You can call the <code>Save</code> method more than once to save a
generated document to more than one location.
This sample shows you how to save a copy of the document on the server
and stream a copy to the client in one script.</p>
	<%
	ShowExample ("ASP/Basic/SaveMultiple/SaveMultiple.asp")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Basic/SaveMultiple/SaveMultipleTemplate.doc">View Template</a>]</div>
	</td>
</tr>
<tr>
	<th>SaveToDisk</th>
	<td>
	<p>WordWriter allows you save the generated Word file 
	on the server, or stream it to the client.  The following sample
	saves the generated file on the server.</p>
	<%
	ShowExample ("ASP/Basic/SaveToDisk/SaveToDisk.asp")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Basic/SaveToDisk/SaveToDiskTemplate.doc">View Template</a>]</div>
	</td>
</tr>
<tr>
	<th>StringVar</th>
	<td><p>The StringVar sample generates a file from a template 
	that contains a single merge field.  The data source is 
	a single-element array.</p>
	<%
	ShowExample ("ASP/Basic/StringVar/StringVar.asp")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Basic/StringVar/StringVarTemplate.doc">View Template</a>]</div>
	</td>
</tr>
</table>   
<p><a href="#top">Top</a></p><hr>
<h2><a name="intermediate"></a>Intermediate Samples</h2>
<table class=table2>
<tr>
	<th>DatabaseSelect</th>
	<td><p>The DatabaseSelect sample creates a dynamic form letter, 
	using a database as the template's data source.</p>
	<%
	ShowFormBasedExample "ASP/Intermediate/DatabaseSelect/DatabaseSelectForm.asp",_
			"ASP/Intermediate/DatabaseSelect/DatabaseSelectGenerate.asp"
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Intermediate/DatabaseSelect/DatabaseSelectTemplate.doc">View Template</a>]</div>
	</td>
</tr>
<tr>
	<th>Envelope</th>
	<td><p>The Envelope sample uses WordWriter to generate an envelope. 
	The template envelope contains merge fields for the delivery name and address 
	and the return name and address. The WordWriter code uses an array as the 
	data source and gets the array values from a Web form. 
	To the sample, click Run Sample, enter return and delivery information in the 
	form, and click the Generate button.</p>
	<%
	ShowFormBasedExample "ASP/Intermediate/Envelope/EnvelopeForm.asp",_
			"ASP/Intermediate/Envelope/EnvelopeGenerate.asp"
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Intermediate/Envelope/Envelope10Template.doc">View Template</a>]</div>
	</td>
</tr>
<tr>
	<th>FaxCover</th>
	<td><p>The FaxCover sample uses WordWriter to open a fax cover template, 
set a data source, populate the merge fields, and generate a new fax cover document.  
The template contains the merge fields ToName, FromName, FaxNumber, PhoneNumber, 
Subject, PageCount, Comments, chkUrgent, chkReview, and chkComment.  The WordWriter code uses 
an array as the data source and 
gets the array values from a Web form. 
<p>Check boxes in the form provide the 
values for chkUrgent, chkReview, and chkComment.  If a box is checked, "X" will be entered 
in the data source value array and displayed in the generated file.  If a box is not 
checked, an empty string will be entered in the value array and nothing will be displayed 
by the field name (for example, by "Urgent") in the generated file.
To run the sample, click Run Sample, enter the fax information in the form,
and click the Generate button.</p>
	<%
	ShowFormBasedExample "ASP/Intermediate/FaxCover/FaxCoverForm.asp",_
			"ASP/Intermediate/FaxCover/FaxCoverGenerate.asp"
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Intermediate/FaxCover/FaxCoverTemplate.doc">View Template</a>]</div>
	</td>
</tr>
<tr>
	<th>Formatting</th>
	<td><p>In Microsoft Word, you can apply special formatting to a template's 
	merge fields.  The following example generates a Word file from a template 
	that contains merge fields with date and currency formatting.  To 
	see (or hide) a merge field's formatting codes, right-click the merge field and 
	select <b>Toggle Field Codes</b>.</p>
	<%
	ShowExample ("ASP/Intermediate/Formatting/Formatting.asp")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Intermediate/Formatting/FormattingTemplate.doc">View Template</a>]</div>
	</td>
</tr>
<tr>
	<th>FormLetter</th>
	<td><p>The FormLetter sample uses WordWriter to open a template form letter, 
set a data source, populate the merge fields, and generate a new file.  
The template form letter contains merge fields for recipient name and address and 
author name and title.  The WordWriter code uses an array as the data source and 
gets the array values from a Web form.  To run either sample, click Run Sample, enter 
recipient and author information in the form, and click the Generate button.</p>
	<%
	ShowFormBasedExample "ASP/Intermediate/FormLetter/FormLetterForm.asp",_
			"ASP/Intermediate/FormLetter/FormLetterGenerate.asp"
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/ASP/Intermediate/FormLetter/FormLetterTemplate.doc">View Template</a>]</div>
	</td>
</tr>
</table>
<p><a href="#top">Top</a></p>
<!-- #include file="../include/footer.inc" -->
